#include "COPY"

/*
 * Callbacks fr MOTeX, Kre
 */


/***********************************************************************
 *   Include_files.
 ***********************************************************************/

#include <Xm/Xm.h>
#include <Xm/MessageB.h>
#include <Xm/SelectioB.h>
#include <sys/stat.h>
#include <ctype.h>
#include <errno.h>
#include <Wc/WcCreate.h>
#include "motex.h"	        /* Header File fr TeX Shell */
#include "resources.h"	        /* resource Definition fr TeX Shell */
#include "messages.h"	        /* Fehlermeldungen fr TeX Shell */

extern AppData app_data;
extern char   *appName;
extern Widget default_edit, default_format, default_view, default_drive;

extern _list     editors[], formatters[], previewers[], drivers[];
extern char     *add_prt_list;
extern int       editor_count, formatter_count, previewer_count,
                 driver_count, add_printer_count;
extern int       msg_lg;

extern _cmd      cmd[],
	        *edit_cmd,
	        *format_cmd,
	        *view_cmd,
	        *print_cmd,
	        *log_cmd,
                *bibtex_cmd,
                *xfig_cmd;

extern char *home,		/* Home-Directory */
	    *pwd,		/* current working directory */
	    *texdir;		/* $HOME.tex */

extern char *English,           /* Locale string for English */
            *German;            /* and German */

Printer *printer;

static char intent='o';	   /* darin merken wir uns fr fsb.ok, was er wollte */

char	*file[3],		 /* filenames aus primary und alternate */
	*baseFile = NULL,	 /* filename ohne extension */
	*texFile,		 /* baseFile.tex */
	*dviFile,		 /* baseFile.dvi */
	*psFile,		 /* baseFile.ps  */
	*viewFile,		 /* baseFile.dvi, baseFile.ps oder baseFile */
	*logFile,		 /* baseFile.log */
	*figFile,		 /* baseFile.fig */
	*fsb_title,              /* Titel fr fsb */
	*dir, 			 /* Auswahl directories fr fsb */
	*pattern;	         /* search pattern fr fsb */

#define TEXT_WIDGET     widgets   /* so da TEXT_WIDGET[i] = widgets[i] wird */
#define	MAIN_WIDGET     widgets[2] 
#define FSB_WIDGET      widgets[3]
#define MSG_WIDGET      widgets[4]
#define INFO_WIDGET     widgets[5]  /* den knnte man auch normal machen */
#define DUMMY_WIDGET    widgets[6]
#define A_LAB_WIDGET    widgets[7]
#define A_NAM_WIDGET    widgets[8]
#define A_SEL_WIDGET    widgets[9]
#define X_DIA_WIDGET    widgets[10]
#define M_DIA_WIDGET    widgets[11] /* den auch */
#define SUSP_WIDGET     widgets[12]
#define CRE_CONF_WIDGET widgets[13] /* radio box in add printer/dvips */
#define HELP_IND_WIDGET widgets[14]
#define HELP_WIDGET     widgets[15]
#define TO_PRT_WIDGET   widgets[16] /* radio box in add printer/dvilj */
#define PRT_WIDGET      widgets[17]

Widget ENGLISH_WIDGET, GERMAN_WIDGET; /* fr customize */

Widget  widgets[18];             /* damit wir es in setWidget leichter haben */

#define ADDP_NAME_WIDGET   add_widgets[0]
#define ADDP_PSQU_WIDGET   add_widgets[1]
#define ADDP_RES_WIDGET    add_widgets[2]
#define ADDP_PSOPT_WIDGET  add_widgets[3]
#define PG_FIRST_WIDGET    add_widgets[4]
#define PG_LAST_WIDGET     add_widgets[5]
#define ADDP_TYPE_WIDGET   add_widgets[6]
#define ADDP_LJQU_WIDGET   add_widgets[7]
#define ADDP_LJOPT_WIDGET  add_widgets[8]
#define PS_DIALOG_WIDGET   add_widgets[9]
#define LJ_DIALOG_WIDGET   add_widgets[10]

Widget  add_widgets[11];         /* fr setTextString */

int     file_no = 0;             /* 0 primary, 1 alternate */
Boolean ready, timed_out;        /* fr timeout Kontrolle */

extern XtAppContext    app;

/* extern char	*sys_errlist[]; */

/* meine utility functions */

void   set_msgbox( char *, long );
void   reset_msgbox( Widget );

extern Boolean      isnum(char *);
extern char	   *concat( char *,... );   /* Achtung: NUR Pointer als Args */
extern char 	   *run_cmd( _cmd *, char *, char * );
extern _cmd        *translate_string( char * );
extern void	    reset( void );
extern char        *get_path(char *);
extern void         checkResources( Widget );
extern Boolean      writeToFile(char *, char *, char *, char *, int);
extern Boolean      writeConfigFile(char *, char *, char *, char *, char *);
extern Printer     *getPrinterData(char *, Boolean);

void    start_msgDialog(char * msg, Widget field);

/*------------------------------------------------------*
 * zu der background Farbe die passenden besetzen,
 * foreground bleibt; gibt widget zurck
 *------------------------------------------------------*/

Widget setColors(Widget w, Pixel fg, Pixel bg)
{
  Pixel fg_ret, top_shadow, bottom_shadow, select_color;
  Colormap cmap;
  Widget button;
/* printf("fg=%d,bg=%d\n",fg,bg);  puts(XtName(w)); */
  XtVaGetValues(w, XmNcolormap, &cmap, NULL);
  /* let Motif calculate the new colors based on background and colormap */
  XmGetColors(XtScreen(w),cmap,bg,
	      &fg_ret, &top_shadow, &bottom_shadow, &select_color);

  XtVaSetValues(w, XmNforeground,        fg,
		   XmNbackground,        bg,
  		   XmNtopShadowColor,    top_shadow,
		   XmNbottomShadowColor, bottom_shadow,
		   XmNselectColor,       select_color,
		   XmNarmColor,          select_color,
		   XmNborderColor,       fg_ret,
		   NULL);

#define SetCols(get,child) \
  if (button = get(w, child))  \
    XtVaSetValues(button,         \
		  XmNforeground,        fg, \
		  XmNbackground,        bg, \
		  XmNtopShadowColor,    top_shadow, \
		  XmNbottomShadowColor, bottom_shadow, \
		  XmNselectColor,       select_color, \
		  XmNarmColor,          select_color, \
		  XmNborderColor,       fg_ret, \
		  NULL);

  if (XmIsSelectionBox(w)) 
    { SetCols(XmSelectionBoxGetChild, XmDIALOG_OK_BUTTON);
      SetCols(XmSelectionBoxGetChild, XmDIALOG_APPLY_BUTTON);
      SetCols(XmSelectionBoxGetChild, XmDIALOG_CANCEL_BUTTON);
      SetCols(XmSelectionBoxGetChild, XmDIALOG_HELP_BUTTON); }
  if (XmIsMessageBox(w)) 
    { SetCols(XmMessageBoxGetChild, XmDIALOG_OK_BUTTON);
      SetCols(XmMessageBoxGetChild, XmDIALOG_CANCEL_BUTTON);
      SetCols(XmMessageBoxGetChild, XmDIALOG_HELP_BUTTON); }

  return w;
}

/*----------------------------------------------------------------------*
 * Titel, pattern und directory fr File Selection Dialog initialisieren
 *----------------------------------------------------------------------*/

void setFsbStrings(char * directory)
{
  XmString title_string = XmStringCreateSimple(fsb_title),
           pattern_string = XmStringCreateSimple(pattern),
           dir_string = XmStringCreateSimple(directory);

  XtVaSetValues(FSB_WIDGET, 
		XmNdialogTitle, title_string,
		XmNdirectory, dir_string,
		XmNpattern, pattern_string,
/*		XmNbackground, app_data.fsb_bg, */
		NULL);
  XmStringFree(title_string);
  XmStringFree(dir_string);
  XmStringFree(pattern_string);
}

/*--------------------------------------*
 * Directory aus dem Filename ableiten
 *--------------------------------------*/

char * dirname (char *fn)
{
  char *dir;
  struct stat file_status[1];

  while (fn[0] == ' ') fn++;		              /* fhrende Blanks weg */
  if (fn[0] ==  '~') fn = get_path(fn);                    /* Tilde auflsen */

  if (fn[0])		 	                    /* input Feld nicht leer */
    {
      if (!stat(fn,file_status)
	  && (file_status->st_mode & S_IFMT) == S_IFDIR)    /* ist Directory */
	dir = fn;
      else if (!strrchr(fn,'/'))	                    /* kein "/" drin */
	dir = pwd; 			         /* also aktuelles Directory */
      else				            /* / drin, Dir bestimmen */
	{ dir = concat(fn,NULL);              /* wir brauchen neuen Speicher */
	  dir[strrchr(fn,'/')-fn] = 0; }
    }
  else if (!access(texdir,04)) dir = texdir;
  else dir = home;
  return dir;
}

/*--------------------------------------------------------------*
 * Directory fr File Selection Dialog initialisieren,
 * dir, pattern und value aus primary oder alternate setzen;
 * entweder aus dem input-Feld oder $HOME/tex oder $HOME.
 * Kommt von callbacks, die fsb aufrufen.
 *--------------------------------------------------------------*/

void setDir (Widget w, XtPointer data, XmAnyCallbackStruct *cbs )
{
  if      (data[0] == '0')                                        /* primary */
    { file_no = 0;
      XtFree(file[0]);             /* den vorherigen brauchen wir nicht mehr */
      file[0] = XmTextGetString(TEXT_WIDGET[0]); }
  else if (data[0] == '1')                                      /* alternate */
    { file_no = 1;
      XtFree(file[1]);                                           /* s.o. */
      file[1] = XmTextGetString(TEXT_WIDGET[1]); }
  else if (data[0] == 'i');                                      /* von info */
  else  fprintf(stderr,"\nsystem error in setDir\n");

/*  if (file_no == 2) file[2] = figFile; */
  setFsbStrings( dirname(file[file_no]) );
}

/*----------------------------------------------------------------*
 * Filename aus einem FileSelectionMenu in ein Textfeld schreiben
 * die Nummer des Textfeldes mu vorher gesetzt sein
 *----------------------------------------------------------------*/
#define SetFn(i)  { XmTextPosition pos; \
		    XmTextSetString(TEXT_WIDGET[i],file[i]); \
		    pos = WcStrLen(file[i]);                 \
		    XmTextShowPosition(TEXT_WIDGET[i],pos); }

void setFileName (Widget w, XtPointer data,
		  XmFileSelectionBoxCallbackStruct *cbs )
{
 if (XmStringGetLtoR(cbs->value, XmSTRING_DEFAULT_CHARSET, &file[file_no]))
   { if (file_no != 2) SetFn(file_no)
     else XtVaSetValues(X_DIA_WIDGET,
			XmNtextString, XmStringCreateSimple(file[2]),
			XmNtextColumns, WcStrLen(file[2]), NULL); }
}

/*----------------------------------------------------------*
 * Text Widgets aus add printer und printer parms lesen
 *----------------------------------------------------------*/

void setTextString ( Widget w, XtPointer data, XmAnyCallbackStruct *cbs )
{
  int i = atoi(data);
  if (i>=0 && i < 11) add_widgets[i] = w;
  else	fprintf(stderr,"\nsystem error in setTextString\n");
  if (i==3 || i==8)
    { Widget sw;
      XtVaGetValues(XtParent(w), XmNhorizontalScrollBar, &sw, NULL);
      XtUnmanageChild(sw); }           /* weg damit, brauchen wir nicht */
}

/*----------------------------------------------------------*
 * Diverse Widgets vorbesetzen, z.T. abhngig von resourcen
 * data gibt den Typ an
 *----------------------------------------------------------*/

void setWidget ( Widget w, XtPointer data, XmAnyCallbackStruct *cbs )
{
  int i = atoi(data);
  if (i >= 0 && i <= 16) widgets[i] = w;
  else if (i == 17)                                    /* w ist printerMenu */ 
    {
      Widget pw;                                       /* default printer w */
      PRT_WIDGET = w;                                  /* das option Men   */
      if (add_printer_count > 0)                       /* private Drucker   */
	WcCreateNamedChildren(PRT_WIDGET, add_prt_list);
      pw = WFNW(w,concat("*",app_data.df_printer,NULL));
      if (app_data.df_printer == NULL) return;          /* default, nix tun */
      else if (PRT_WIDGET == XtParent(pw))              /* zulssiger Wert */
	{ Boolean ok;
	  Printer *test;
	  test = getPrinterData(app_data.df_printer, ok);
	  if (ok)                                       /* ...nehmen wir ihn */
	    { printer = test;
	      XtVaSetValues(PRT_WIDGET, XmNmenuHistory, pw, NULL); }
	  else
	    fprintf(stderr, "\nconfig file missing for printer %s\n",
		    app_data.df_printer); }
      else
	fprintf(stderr,"invalid resource value \"%s\"\n",app_data.df_printer);
    }
  else if (i == 18)                                     /* kommt nach table */ 
    {
      if (file[0] = app_data.df_infile1, file[0][0]) SetFn(0)

      if (file[1] = app_data.df_infile2,file[1][0]) /* nicht leer -> alt inp */
	{ Widget active_ws[] = { A_LAB_WIDGET, SUSP_WIDGET, TEXT_WIDGET[1] },
	         inactive_ws[] = { DUMMY_WIDGET, A_NAM_WIDGET };
	  XtUnmanageChildren(inactive_ws, XtNumber(inactive_ws));
	  XtManageChildren(active_ws, XtNumber(active_ws));
	  XtSetSensitive(A_SEL_WIDGET, True);
	  SetFn(1) }
      else
	{ Widget active_ws[] = { DUMMY_WIDGET, A_NAM_WIDGET },
	         inactive_ws[] = { A_LAB_WIDGET, SUSP_WIDGET, TEXT_WIDGET[1] };
	  XtUnmanageChildren(inactive_ws, XtNumber(inactive_ws));
	  XtManageChildren(active_ws, XtNumber(active_ws));
	  XtSetSensitive(A_SEL_WIDGET, False); }

      setColors(MAIN_WIDGET, app_data.fg, app_data.bg);       /* main */
      setColors(FSB_WIDGET, app_data.fg, app_data.fsb_bg);    /* fsb */
      setColors(X_DIA_WIDGET, app_data.fg, app_data.fsb_bg);  /* pDialog */
      setColors(MSG_WIDGET, app_data.bg, app_data.bg);        /* msg */
    }
  else	fprintf(stderr,"\nsystem error in setWidget\n");
}

/*--------------------------------------------------------------------------*
 * gibt zu einem customize widget Namen das zugehrige option widget zurck
 *--------------------------------------------------------------------------*/

Widget cust2optionWidget(Widget w, _list l[], int count) 
{
  int i;
  for (i=0;i<count;i++) 
    if (!strcmp(XtName(w),l[i].custWidgetName+1)) return l[i].optionWidget;
  fprintf(stderr,"widget name unknown in customize menu, \"%s\" ignored\n",
	  XtName(w));
  return l[0].optionWidget;
}

#define SetAcc(w,key) \
  XtVaSetValues(w, XmNaccelerator, "Ctrl<Key>key",  \
		   XmNacceleratorText, XmStringCreateSimple("Ctrl-key"), NULL);

void setDefaultAccelerators(Widget w, XtPointer data, XmAnyCallbackStruct *cbs)
{
  _cmd * default_edit_cmd;

  checkResources( w );     /* damit wir die defaults kriegen */

  SetAcc(default_edit,  E)
  SetAcc(default_format,F)
  SetAcc(default_view,  V)
  SetAcc(default_drive, P)

  default_edit_cmd = translate_string(XtName(default_edit));
  log_cmd->out = default_edit_cmd->out;
  log_cmd->xterm = default_edit_cmd->xterm;
}

/*--------------------------------------------------------------*
 * holt file Namen aus dem Textfeld, falls dieses aktiv ist,
 * hackt blanks ab und prft auf Leerstring
 *--------------------------------------------------------------*/

Boolean field_empty(int nr)
{
  if ( !XtIsManaged(TEXT_WIDGET[nr]) )        /* nicht da heit fr uns leer */
    { file[nr] = 0; return True; }            /* kann nur bei alternate sein */

  file[nr] = XmTextGetString(TEXT_WIDGET[nr]);
  while (file[nr][0] == ' ') file[nr]++;      /* fhrende Blanks weg */

  return !file[nr][0];
}

/*----------------------------------------------------*
 * Werte in .Xdefaults speichern (bei 'e' und 's');
 * Werte des customize-Mens auswerten (auch bei 'a');
 *----------------------------------------------------*/

#define LG_CHANGED     ((app_data.lg == English) && (msg_lg == 1))   \
                    || ((app_data.lg == German) && (msg_lg == 0))
       /* wir brauchen kein strcmp, weil app_data.lg und msg_lg sowieso
	* zusammenpassen, wenn nichts gendert wurde
	*/
void saveValues(Widget w, XtPointer data, XmAnyCallbackStruct *cbs)
{
  Widget edit, format, view, drive, lang,
         lgbox = WFNW(w,"*lgbox");
  _cmd * default_edit_cmd;

  if (lgbox != NULL)         /* gibt's nur, wenn wir auch im Men drin waren */
    { XtVaGetValues(lgbox, XmNmenuHistory, &lang, NULL);         /* language */
      if (lang == NULL) app_data.lg = NULL;        /* eigentlich berflssig */
      else if (lang == ENGLISH_WIDGET) app_data.lg = English;
      else if (lang == GERMAN_WIDGET) app_data.lg = German;
      else fprintf(stderr,"\nsystem error in saveValues\n"); }

  if (data[0] == 'e')          /* exit, zuerst das, was immer gesichert wird */
    {
      Boolean dummy1 = field_empty(0), /* aktuelle Werte holen, mu vor val; */
              dummy2 = field_empty(1); /* nur nichtleer, wenn aktiv */
      char *res[] = { XmNprimaryInputFileName, XmNalternateInputFileName,
		      XmNdefaultPrinter, XmNprivatePrinterList,
		      XmNxnlLanguage },
	   *val[] = { file[0],file[1],printer->name,add_prt_list,app_data.lg };
      int nr = (app_data.lg == NULL) ? XtNumber(res)-1 : XtNumber(res);
      if (!writeToFile(X_DEF_PATH, appName, res, val, nr))
	fprintf(stderr,"could not save values in %s\n",X_DEFAULTS);
      else if (LG_CHANGED)
	{ char *msg = concat(LG_CH_MSG[msg_lg], "\n", NULL);
	  printf(msg);
	  XtFree(msg); }
      return;
    }

  XtVaGetValues(WFNW(w,"*ebox"), XmNmenuHistory, &edit, NULL);
  XtVaGetValues(WFNW(w,"*fbox"), XmNmenuHistory, &format, NULL);
  XtVaGetValues(WFNW(w,"*vbox"), XmNmenuHistory, &view, NULL);
  XtVaGetValues(WFNW(w,"*pbox"), XmNmenuHistory, &drive, NULL);  

#define SetNewAcc(w,string,list,n,key) \
    XtVaSetValues(w, XmNaccelerator, NULL, XmNacceleratorText, NULL, NULL); \
    w = cust2optionWidget(string, list, n); SetAcc(w,key)  

  if (edit != NULL) 
    { SetNewAcc(default_edit, edit, editors, editor_count, E)
  /* browse log benutzt das default edit Kommando, knnen wir nur hier */
  /* setzen, weil es fr startup wie fr customize save mu:           */
      default_edit_cmd = translate_string(XtName(default_edit));
      log_cmd->out = default_edit_cmd->out;
      log_cmd->xterm = default_edit_cmd->xterm; }

  if (format != NULL)
    { SetNewAcc(default_format, format, formatters, formatter_count, F) }

  if (view != NULL)  
    { SetNewAcc(default_view, view, previewers, previewer_count, V); }

  if (drive != NULL) 
    { SetNewAcc(default_drive, drive, drivers, driver_count, P); }

  if (data[0] == 's')    /* save */
    {
      char *res[] = { XmNdefaultEditor, XmNdefaultFormatter,
		      XmNdefaultPreviewer, XmNdefaultDriver,
		      XmNprimaryInputFileName, XmNalternateInputFileName,
		      XmNdefaultPrinter, XmNxnlLanguage },
	   *val[] = { XtName(default_edit), XtName(default_format),
		      XtName(default_view), XtName(default_drive),
		      file[0], file[1], printer->name, app_data.lg };
      int nr = (app_data.lg == NULL) ? XtNumber(res)-1 : XtNumber(res);
      if (!writeToFile(X_DEF_PATH, appName, res, val, nr))
	{ set_msgbox(concat(COULD_NOT_SAVE[msg_lg],X_DEFAULTS,NULL),MIN_TIME);
	  ready = True;
	  if (timed_out) reset_msgbox(NULL);
      /* question dialog aufpoppen, spter */; }
      else if (LG_CHANGED) start_msgDialog(LG_CH_MSG[msg_lg], NULL);
    }
}


/*-------------------------------------------*
 * default-Buttons in den Radio Boxen setzen
 *-------------------------------------------*/

void setDefaultToggleButton(Widget w, XtPointer data, XmAnyCallbackStruct *cbs)
{
  /* for add printer */
    XmToggleButtonSetState(CRE_CONF_WIDGET, True, False);
    XmToggleButtonSetState(TO_PRT_WIDGET, True, False);

  /* for customize */
    ENGLISH_WIDGET = WFNW(w,"*lgE");
    GERMAN_WIDGET = WFNW(w,"*lgG");

    if (WcNull(app_data.lg));               /* nicht belegt, lassen wir so */
    else if (msg_lg == 0)
      XmToggleButtonSetState(ENGLISH_WIDGET, True, False);
    else
      XmToggleButtonSetState(GERMAN_WIDGET, True, False); 

    XmToggleButtonSetState(WFNW(w,app_data.df_edit), True, False);
    XmToggleButtonSetState(WFNW(w,app_data.df_form), True, False);
    XmToggleButtonSetState(WFNW(w,app_data.df_view), True, False);
    XmToggleButtonSetState(WFNW(w,app_data.df_drive), True, False);
}

/*-----------------------------------------------------------------------*
 * Variablen mit Optionswerten besetzen; als data muss der Kennbuchstabe
 * mitgegeben werden, der besetzt werden soll
 *-----------------------------------------------------------------------*/

 void 	setOption ( Widget w, XtPointer data, XmAnyCallbackStruct *cbs )
{ /* puts(data); */
  if 	(data[0]=='f') format_cmd = translate_string(XtName(w));
  else if (data[0]=='e') edit_cmd = translate_string(XtName(w));
  else if (data[0]=='v') view_cmd = translate_string(XtName(w));
  else if (data[0]=='d') print_cmd = translate_string(XtName(w));
  else if (data[0]=='l') log_cmd = translate_string(XtName(w));
  else if (data[0]=='p')
    { Boolean ok;
      printer = getPrinterData(XtName(w), ok);
      if (!ok)
	fprintf(stderr,"\nconfig file missing for printer %s\n",XtName(w)); }
  else if (data[0]=='b') bibtex_cmd->w = w;
  else if (data[0]=='x') xfig_cmd->w = w;
  else	fprintf(stderr,"\nsystem error in setOption\n");
}

/*-----------------------------------------------------------------------*
 * ins nchste Textfeld weiterhpfen; wenn aus der gleichen Tab Group
 * gesprungen werden soll, gibt data das nchste Feld an:
 * bei data[0] = '*' der Name des nchsten Widgets als string,
 * bei data[0] = 'e' der Name des nchsten Widgets als widget,
 * bei 'g' nchste Tab Group
 *-----------------------------------------------------------------------*/

void  nextField ( Widget w, XtPointer data, XmAnyCallbackStruct *cbs )
{
  if (data[0] == '*') XmProcessTraversal(WFNW(w,data), XmTRAVERSE_CURRENT);
  else if (data[0] == 'e') XmProcessTraversal(w, XmTRAVERSE_CURRENT);
  else if (data[0] == 'g') XmProcessTraversal(w, XmTRAVERSE_NEXT_TAB_GROUP);
  else XmProcessTraversal(w, XmTRAVERSE_NEXT);
}

/*---------------------------------------------------------------------------*
 * Info Dialog erzeugen, *text enthlt message string;
 * beim ersten Mal wird er created, spter nur noch gemanaged;
 * mu False zurckgeben, weil es gleichzeitig Rckgabewert von file_ok ist.
 *---------------------------------------------------------------------------*/

Boolean	create_info ( char *text )
{
  static Boolean new_dialog = 1;
  XmString msg;

  if (new_dialog)                               /* neu, kreieren */
    { Arg arg[1];
      XtSetArg(arg[0], XmNbackground, app_data.hi_col); 
      INFO_WIDGET = XmCreateInformationDialog(MAIN_WIDGET, "info", arg, 1);
      new_dialog = 0; }

  msg = XmStringCreateLtoR(text, ISO1);
  XtVaSetValues(INFO_WIDGET,XmNmessageString,msg,NULL);
  XmStringFree(msg);
  XtManageChild(INFO_WIDGET);
  return False;
}

/*--------------------------------------------------------------*
 * Filename auf leer, directory und lesbar checken
 * (spter mal Pfad berprfen, executable usw.)
 * in dem Fall info Dialog rufen und 0 zurckgeben, sonst 1
 * ".tex" oder ".dvi" wird an texFile bzw. dviFile angehngt
 * und von baseFile abgeschnitten; dto. ".log", ".fig"
 * bei exist mu File existieren, sonst nicht;
 * setzt dir, file, file_no, texFile, dviFile und baseFile
 *--------------------------------------------------------------*/

Boolean	file_ok (Widget w, char *ext, Boolean exist, int nr, char *cmd )
{
  char * test,		/* texFile oder dviFile, der existieren mu */
  msg = NULL;	        /* message fr create_info */
  int bl;               /* Lnge des basefile */
  struct stat file_status[1];
  Boolean ghost = cmd[0] == 'g'; /* Ghostview ist ein Sonderfall */

  /* falls wir einen File Selection Dialog starten mssen, soll er den 
   * richtigen Titel und das richtige Suchmuster haben:
   */
  fsb_title = concat(FSB_TITLE_1[msg_lg], cmd, FSB_TITLE_2[msg_lg], NULL);

  pattern = concat("*", ext, NULL);

  file_no = nr;                          /* enthlt dann immer die aktuelle
                                          * input file Nummer                */
  if ( nr != 2 && field_empty(nr) )      /* keine Eingabe interpretieren wir */
    {     		                 /* als Aufforderung zur Auswahl     */
      setFsbStrings(texdir);
      XtManageChild(FSB_WIDGET);
      return False;
    }

  if ( WcStrLen(file[nr]) >= BUFLEN ) return create_info(NAME_TOO_LONG[msg_lg]);

  if (file[nr][0] ==  '~') file[nr] = get_path(file[nr]);

  if (file[nr][0] != '/')                             /* aktuelles directory */
    file[nr] = concat(pwd, "/", file[nr], NULL);

  if (!stat(file[nr],file_status) && (file_status->st_mode & S_IFMT)==S_IFDIR)
    return create_info(FILE_IS_DIRECTORY[msg_lg]);

  /* extension abhacken, falls eine da ist; ps nur fr ghostview;
   * nr = 0,1 sind prim und alt input filename, 2 ist xfig-dialog input
   */
  bl = WcStrLen(file[nr]) - 4;
  if (nr != 2 &&  (bl <= 0 || (strcmp(&file[nr][bl],".dvi")
			       && strcmp(&file[nr][bl],".tex")
			       && strcmp(&file[nr][bl],".log")) )
      || nr == 2 && (bl <= 0 || strcmp(&file[nr][bl],".fig") ) )
    { /* keine dieser extensions da, aber vielleicht ps? */
      if (ghost && bl+1 > 0 && !strcmp(&file[nr][bl+1],".ps")) bl++;
      else bl = WcStrLen(file[nr]);
    }

  baseFile = XtRealloc(baseFile,bl+1);                 /* 1 Byte mehr fr \0 */
  strncpy(baseFile,file[nr],bl);
  baseFile[bl] = 0;

  if      (ext[1] == 't') test = texFile = concat(baseFile, ".tex", NULL);
  else if (ext[1] == 'd') { test = dviFile = concat(baseFile, ".dvi", NULL);
			    psFile = concat(baseFile, ".ps", NULL); }
  else if (ext[1] == 'l') test = logFile = concat(baseFile, ".log", NULL);
  else                    test = figFile = concat(baseFile, ".fig", NULL);

  if (ghost)
    {
#define READBLE_TEXT_FILE(f) \
      (!stat(f,file_status) && !access(f,04))                  /* lesbarer */\
      || ((file_status->st_mode & S_IFMT) == S_IFREG)          /* Textfile */

      Boolean   ps_ok = READBLE_TEXT_FILE(psFile); /* setzt u.a. file_status */
      long     psdate = file_status->st_mtime;
      Boolean  dvi_ok = READBLE_TEXT_FILE(dviFile);
      long    dvidate = file_status->st_mtime;
      char  *soll_ext = &file[nr][bl];  /* angegebene extension, 0 oder .xyz */

      if (soll_ext[0] == 0 || (soll_ext[1] != 'p' && soll_ext[1] != 'd'))
	{
	  if (!ps_ok && !dvi_ok) return create_info(NO_GOOD_FILE[msg_lg]);
	  else if (ps_ok && dvidate < psdate) viewFile = psFile;
	  else if (dvi_ok) viewFile = dviFile;
	}
      else if (soll_ext[1] == 'p')                           /* ps angegeben */
	{
	  if (!ps_ok) return create_info(NO_PS_FILE[msg_lg]);
	  else viewFile = psFile;
	}
      else if (soll_ext[1] == 'd')                          /* dvi angegeben */
	{
	  if (!dvi_ok) return create_info(NO_DVI_FILE[msg_lg]);
	  else viewFile = dviFile;
	}
      else fprintf(stderr,"\nsystem error in file_ok\n");
    }
  else                                                  /* kein Ghostview */
    {
      if (access(test,00))                           	/* File gibt's nicht */
	{ if (exist) return create_info(FILE_NOT_EXIST[msg_lg]); }
      else		                                /* File gibt's */
	{
	  if (stat(test,file_status) || access(test,04) )
	    return create_info(FILE_UNREADABLE[msg_lg]);
	  else if ((file_status->st_mode & S_IFMT) != S_IFREG)
	    return create_info(FILE_NO_TEXT[msg_lg]);
	  else viewFile = baseFile;
	}
    }
  return True;
}

/*-------------------------------------------------------*
 * macht die menubar Knpfe wieder scharf, 
 * nur mit timer, weil der Interrupt (signal) vielleicht
 * mitten in ein X protocol packet reingehauen hat
 *-------------------------------------------------------*/

void reset_button(Widget w)
{
 XtVaSetValues( w, XmNsensitive, True, NULL);
 reset_msgbox(w);                                /* sptestens jetzt */
}

/*-----------------------------------------------------------------*
 * setzt die in msgDialog erscheinende Meldung;
 * springt anschlieend in das angegebene Feld (sofern nicht NULL) 
 *-----------------------------------------------------------------*/

void start_msgDialog(char * msg, Widget field)
{
  static Boolean new_dialog = 1;
  XmString msg_string;

  if (new_dialog)                               /* neu, kreieren */
    { Arg arg[1];
      XtSetArg(arg[0], XmNbackground, app_data.bg); 
      M_DIA_WIDGET = XmCreateMessageDialog(MAIN_WIDGET, "msgDialog", arg, 1);
      XtUnmanageChild(XmMessageBoxGetChild(M_DIA_WIDGET,
					   XmDIALOG_CANCEL_BUTTON));
      new_dialog = 0; }

  msg_string = XmStringCreateLtoR(msg, ISO1);
  XtVaSetValues(M_DIA_WIDGET, XmNmessageString, msg_string, NULL);
  XmStringFree(msg_string);
  XtManageChild(M_DIA_WIDGET);
  if (field != NULL) nextField(field,"expl",NULL);
}

/*------------------------------------------*
 * setzt die in msgbox erscheinende Meldung
 *------------------------------------------*/

void set_msgbox(char * msg, long time)
{
  XmString msg_string = XmStringCreateLtoR(msg, ISO1);

  XtVaSetValues(MSG_WIDGET,
		XmNlabelString, msg_string,
		XmNforeground, app_data.fg,
		XmNbackground, app_data.hi_col,
		NULL);
  XmStringFree(msg_string);
  XtAppAddTimeOut( app, time, reset_msgbox, MAIN_WIDGET );
  ready = timed_out = False;                                  /* merken */
}

/*------------------------------------------------------*
 * setzt die in msgbox erscheinende Meldung nach einer 
 * bestimmten Zeit zurck (wurde von set_msgbox gesetzt)
 *------------------------------------------------------*/

void reset_msgbox(Widget w)
{
  if (w != NULL || ready)
    { XmString dummy = XmStringCreateSimple("X");   /* damit's eine Zeile ist,
						     * wg. der Hhe der Box */
      XtVaSetValues(MSG_WIDGET,	XmNlabelString, dummy,
		                XmNforeground, app_data.bg,
		                XmNbackground, app_data.bg,
		                NULL);
      XmStringFree(dummy); }
  else                                              /* noch nicht fertig */
    timed_out = True;                               /* also erst am Ende */ 
}



/*-----------------------------------------*
 * privaten HP Laserjet eintragen
 *-----------------------------------------*/

void addLJ( Widget nw, Widget w, char *name, char *type )
{
  char *queue = XmTextGetString(ADDP_LJQU_WIDGET),
       *opt = XmTextGetString(ADDP_LJOPT_WIDGET);
  char *qchk = concat("lpq -P ",queue,"  > /dev/null 2> /dev/null",NULL);
  Widget button;
  Boolean print;
  XtVaGetValues(WFNW(w,"*ljDialog*rbox"), XmNmenuHistory, &button, NULL);
  print = (button == NULL                   /* wenn nicht gedrckt wurde */
	   || button == TO_PRT_WIDGET);        /* wenn er gedrckt wurde */

  if (!print) queue = NULL;            /* Markierung fr writeConfigFile */
  if (print && !queue[0])
    start_msgDialog(NO_PRT_QUEUE[msg_lg], ADDP_LJQU_WIDGET);
  else if (print && system(qchk))
    start_msgDialog(INVALID_QUEUE[msg_lg], ADDP_LJQU_WIDGET);
  else if (!writeConfigFile(name, queue, "0", opt, type))
    start_msgDialog(COULD_NOT_W_CONF[msg_lg], ADDP_NAME_WIDGET);
  else                                                       /* alles ok */
    { WcCreateNamedChildren(PRT_WIDGET, name);
      add_prt_list = concat(add_prt_list,name," ",NULL);
      add_printer_count++;
      nextField(ADDP_NAME_WIDGET,"expl",NULL);    /* fr nchsten Aufruf */
      XtUnmanageChild(XtParent(XtParent(w))); }
  XtFree(queue);
  XtFree(opt);
}

/*-----------------------------------------*
 * privaten PostScript Drucker eintragen
 *-----------------------------------------*/

void addPS( Widget nw, Widget w, char *name )
{
  char *queue = XmTextGetString(ADDP_PSQU_WIDGET),
       *res = XmTextGetString(ADDP_RES_WIDGET),
       *opt = XmTextGetString(ADDP_PSOPT_WIDGET);
  char *qchk = concat("lpq -P ",queue,"  > /dev/null 2> /dev/null",NULL);
  Widget button;
  Boolean write_cf;
  XtVaGetValues(WFNW(w,"*psDialog*rbox"), XmNmenuHistory, &button, NULL);
  write_cf = (button == NULL                /* wenn nicht gedrckt wurde */
	      || button == CRE_CONF_WIDGET);   /* wenn er gedrckt wurde */

  if (write_cf && !queue[0])
    start_msgDialog(NO_PRT_QUEUE[msg_lg], ADDP_PSQU_WIDGET);
  else if (write_cf && system(qchk))
    start_msgDialog(INVALID_QUEUE[msg_lg], ADDP_PSQU_WIDGET);
  else if (write_cf && !res[0])
    start_msgDialog(NO_PRT_RES[msg_lg], ADDP_RES_WIDGET);
  else if (write_cf && !isnum(res))
    start_msgDialog(RES_NOT_NUM[msg_lg], ADDP_RES_WIDGET);
  else if (write_cf && !writeConfigFile(name, queue, res, opt,"ps"))
    start_msgDialog(COULD_NOT_W_CONF[msg_lg], ADDP_NAME_WIDGET);
  else                                                       /* alles ok */
    { WcCreateNamedChildren(PRT_WIDGET, name);
      add_prt_list = concat(add_prt_list,name," ",NULL);
      add_printer_count++;
      nextField(ADDP_NAME_WIDGET,"expl",NULL);    /* fr nchsten Aufruf */
      XtUnmanageChild(XtParent(XtParent(w))); }
  XtFree(queue);
  XtFree(res);
  XtFree(opt);
}



/*-------------------------------------------------------------------------*
 * privaten Drucker eintragen oder loeschen; Daten in printer_list merken,
 * Widget in Liste kreieren; in .Xdefaults geschrieben wird bei quit. 
 *-------------------------------------------------------------------------*/

void addPrinter(Widget w, XtPointer data, XmAnyCallbackStruct *cbs)
{
  char  *name = XmTextGetString(ADDP_NAME_WIDGET);
  char  *type = XmTextGetString(ADDP_TYPE_WIDGET);
  Widget nw = WFNW(PRT_WIDGET,concat("*",name,NULL));

  if (!name[0]) start_msgDialog(NO_PRT_NAME[msg_lg], ADDP_NAME_WIDGET);
  else if (data[0] == 'a')
    {
      if (XtParent(nw) == PRT_WIDGET)
	start_msgDialog(PRT_EXIST[msg_lg], ADDP_NAME_WIDGET);
      else if (!type[0])
	start_msgDialog(NO_PRT_TYPE[msg_lg], ADDP_TYPE_WIDGET);
      else if (!strcmp(type,"ps"))
	{ char *s = concat(PS_LAB1[msg_lg], name, PS_LAB2[msg_lg], NULL);
	  XtVaSetValues(WFNW(w,"*psinfo"),
			XmNlabelString, XmStringCreateLtoR(s, ISO1), NULL);
	  XtManageChild(PS_DIALOG_WIDGET); }
      else if (!strcmp(type,"lj") || !strcmp(type,"lj2")
	       || !strcmp(type,"ljp") || !strcmp(type,"lj2p"))
	{ char *s = concat(LJ_LAB1[msg_lg], name, LJ_LAB2[msg_lg], NULL);
	  XtVaSetValues(WFNW(w,"*ljinfo"),
			XmNlabelString, XmStringCreateLtoR(s, ISO1), NULL);
	  XtManageChild(LJ_DIALOG_WIDGET); }
      else
	start_msgDialog(WRONG_PRT_TYPE[msg_lg], ADDP_TYPE_WIDGET);
    }
  else if (data[0] == 'p') addPS(nw, w, name);
  else if (data[0] == 'l') addLJ(nw, w, name, type);
  else if (data[0] == 'd')
    {
      char *list = XtMalloc(WcStrLen(add_prt_list)+1),
           *prt;
      int i, l;
      Boolean found = False;
      Widget df;                       /* current default, cannot be removed */
      XtVaGetValues(PRT_WIDGET, XmNmenuHistory, &df, NULL);

      if (add_printer_count = 0)
	start_msgDialog(NO_ADD_PRT[msg_lg], ADDP_NAME_WIDGET);
      else if (XtParent(nw) != PRT_WIDGET)
	start_msgDialog(PRT_NOT_EXIST[msg_lg], ADDP_NAME_WIDGET);
      else if (df == nw)
	start_msgDialog(NO_CURR_PRT[msg_lg], ADDP_NAME_WIDGET);
      else                                              /* zulssiges widget */
	{ strcpy(list,add_prt_list);          /* zwengs der '\0's von strtok */
	  prt = strtok(list," ");
	  while (prt != NULL && !(found = !strcmp(name,prt)))
	    prt = strtok(NULL," ");
	  if (!found) start_msgDialog(NO_PRIV_PRT[msg_lg], ADDP_NAME_WIDGET);
	  else
	    { XtDestroyWidget(nw);
	      add_printer_count--;
	      for (l=strlen(prt),i=prt-list; i<=strlen(add_prt_list); i++)
		add_prt_list[i] = add_prt_list[i+l];
	      nextField(ADDP_NAME_WIDGET,"expl",NULL);/* fr nchsten Aufruf */
	      XtUnmanageChild(XtParent(XtParent(w))); /* Dialog weg */
	    }
	}
      XtFree(list);
    }
  else	fprintf(stderr,"\nsystem error in setOption\n");
  XtFree(name);
  XtFree(type);
}

/*-----------------------------------------------------------------------*
 * Editor, TeX, Preview oder Driver aufrufen usw.
 * kann auch von fsb oder open kommen;
 * als data muss die Kennung des Rufers mitgegeben werden;
 * fr edit wird alternate file genommen, falls nicht leer, sonst primary.
 *-----------------------------------------------------------------------*/

void  execute ( Widget w, XtPointer data, XmRowColumnCallbackStruct *cbs )
{	
  char    what = data[0],             /* data drfen wir nicht verndern */
         *msg;
  Boolean empty;

  if 	  (what=='e') edit_cmd->w = w;		/* wir mssen die	 */
  else if (what=='f') format_cmd->w = w;	/* entsprechenden Knpfe */
  else if (what=='v') view_cmd->w = w;		/* fr reset speichern	 */
  else if (what=='d') print_cmd->w = w;
  else if (what=='l') log_cmd->w = w;           /* da knnte was falsches */
  else;                                         /* drinstehen oder fehlen */ 

  if (what=='s') what = intent; 	                       /* von fsb.ok */
  else intent = what;		                /* von edit ... open, merken */
                 /* von open tun wir nix als intent setzen (im wesentlichen) */
  if (intent=='o') {file_no = atoi(&data[1]); pattern = "*"; return;}
    
  if	  (what=='e' &&                                              /* edit */
	   (( (empty = field_empty(1)) && file_ok(w,".tex",0,0,edit_cmd->in) )
	    || (!empty && file_ok(w,".tex",0,1,edit_cmd->in))) )
    msg = run_cmd( edit_cmd, texFile, NULL );

  else if (what=='f' && file_ok(w,".tex",1,0,format_cmd->in))      /* format */
    {
      char *fn = XmTextGetString(TEXT_WIDGET[0]),
           *directory = dirname(fn);
      XtFree(fn);
      if (access(directory,02)) create_info(NO_WRITE_ACCESS[msg_lg]);
      else { chdir(directory);
	     msg = run_cmd( format_cmd, baseFile, FMT_MSG[msg_lg] );
	     chdir(pwd); }
    }  

  else if (what=='v' && file_ok(w,".dvi",1,0,view_cmd->in))          /* view */
    msg = run_cmd( view_cmd, viewFile, NULL );

  else if (what=='d' && file_ok(w,".dvi",1,0,print_cmd->in))	    /* drive */
    {
      char *fp = XmTextGetString(PG_FIRST_WIDGET),
           *lp = XmTextGetString(PG_LAST_WIDGET);
      Boolean ps = (print_cmd->in[3] == 'p');            /* wenn's dvips ist */
      char *fopt = ps ? " -p " : " -f ",                      /* from option */
           *topt = ps ? " -l " : " -t ";                        /* to option */
      char *p = fp[0] ? concat(fopt, fp, NULL) : "",            /* from page */
           *l = lp[0] ? concat(topt, lp, NULL) : "";              /* to page */
      char *parms = ps ? concat(p,l," -P ",printer->name," ",baseFile,NULL)
	               : concat(printer->parms,p,l," ",baseFile,NULL);
      char *fn = XmTextGetString(TEXT_WIDGET[0]),
           *directory = dirname(fn);
      XtFree(fn);

      if (access(directory,02)) create_info(NO_WRITE_ACCESS[msg_lg]);
      else
	{ chdir(directory);                      /* immer im input directory */

	  if (print_cmd->in[3] == 'p'                               /* dvips */
	      && printer->driver[3] == 'p')
	    msg = run_cmd(print_cmd, parms, NULL);
	  else if (print_cmd->in[3] == 'l'                         /* dvi-LJ */
		   && printer->driver[3] == 'l')
	    { print_cmd->out = printer->driver;                 /* dvilj/2/p */
	      if (printer->pipe != NULL)         /* immer wenn nicht in File */
		parms =  concat(parms," \\|",printer->pipe,NULL);
	       /* damit die Pipe an run_texshell_cmd bergeben wird und nicht 
		* gleich ausgefhrt wird, brauchen wir den \.
  	        * Alternative wre "" um alles, aber das ist aufwendiger.    */
	      msg = run_cmd(print_cmd, parms, NULL); }
	  else { start_msgDialog(NO_LJ_PRINTER[msg_lg], NULL);     /* Fehler */
		 return;}

	  XtFree(fp);
	  XtFree(lp);
	  XtFree(parms);

	  chdir(pwd);                           /* directory zurcksachalten */
	}
    }                                                          /* Ende drive */

  else if (what=='l' && file_ok(w,".log",1,0,"browse"))	       /* browse log */
    msg = run_cmd( log_cmd, logFile, NULL );

  else if (what=='b' && file_ok(w,".tex",1,0,"BibTeX"))	           /* bibtex */
    msg = run_cmd( bibtex_cmd, baseFile, NULL );

  else if (what=='x')                                                /* xfig */
    { XmString *s;
      XtVaGetValues(w, XmNtextString, &s, NULL);
      if (!XmStringGetLtoR(s, XmSTRING_DEFAULT_CHARSET, &file[2]))   /* leer */
	msg = run_cmd( xfig_cmd, NULL, NULL );
      else if (file_ok(w,".fig",0,2,"xfig"))
	msg = run_cmd( xfig_cmd, figFile, NULL );
      else return; }

  else if (what=='u' &&                                          /* Uml-konv */
	   (( (empty=field_empty(1))&&file_ok(w,".tex",1,0,UML_CONV[msg_lg]) )
	    || (!empty && file_ok(w,".tex",1,1,UML_CONV[msg_lg]))) )
    { set_msgbox(UML_CONV_MSG[msg_lg], MIN_TIME);
      start_msgDialog(char_convert(CONV_TABLE,texFile,texFile,msg_lg),
		      TEXT_WIDGET[1]);
      ready = True;
      if (timed_out) reset_msgbox(NULL);
      return; }

  else	  return;

  set_msgbox(msg, NORMAL_TIME);
}

/*-----------------------------------------------------------------------*
 * Help aufrufen
 *-----------------------------------------------------------------------*/

void  showHelp( Widget w, XtPointer data, XmRowColumnCallbackStruct *cbs )
{
  extern char *HELP_TEXT[][2];

  int *pos_list, pos_count, nr = 1;
  XmString help;

  if (data[0] == 'l')
    { if (XmListGetSelectedPos(HELP_IND_WIDGET,&pos_list,&pos_count))
	nr = pos_list[0] - 1; }
  else nr = atoi(data);

  help = XmStringCreateLtoR(HELP_TEXT[nr][msg_lg], ISO1);
  XtVaSetValues(HELP_WIDGET, XmNlabelString, help, NULL);
  XmStringFree(help);
}
