#include "COPY"

/* HELP_TEXT is a 2-dimensional array; the first dimension is the number
 * of sections, the second dimension is the number of languages.
 * To add a new language, you need to define:
 *    - the help text
 *    - the messages (in messages.h)
 *    - the button and menu strings (in "new_language"/Texshell.lg)
 *    - and add the new language in check_language() (in motex.c).
 */

char *HELP_TEXT[][2] =

{ { "Index\n \
\n Index:       index of help topics, this menu\
\n Keys:        some information on key names\
\n Help:        how to use help\
\n MOTeX:       how to use MOTeX\
\n File Selection:\
\n              - how to find a file and transfer\
\n                its name into the input fields\
\n              - quitting MOTeX\
\n Editing:     the editors to use with MOTeX\
\n Formatting:  format files to use with TeX\
\n Previewing:  the formatted output on terminal\
\n Printing:    the output to file or printer\
\n Utilities:   further things you may need e.g.\
\n              - converting umlauts to TeX style\
\n              - customizing MOTeX\
\n              - defining a private printer",

"Inhalt\
\n \
\n \
\n Inhalt       Verzeichnis der Hilfstexte\
\n              (dieses Men)\
\n Tasten:      Bezeichnungen der Tasten\
\n Hilfe:       Wie benutzt man die Hilfsmens?\
\n MOTeX:       Wie benutzt man MOTeX?\
\n Dateiauswahl:\
\n              - Wie findet man eine Datei und\
\n                bertrgt ihren Namen in das\
\n                Eingabefeld?\
\n              - MOTeX beenden\
\n Editoren:    Editoren unter MOTeX\
\n Formatierer: Makropakete fr TeX\
\n Preview:     Darstellung der formatierten\
\n              Ausgabe am Bildschirm\
\n Druck:       Ausgabe in Datei oder auf Drucker\
\n Hilfs-\
\n funktionen:  andere ntzliche Funktionen, z.B.\
\n              - Umlautkonvertierung in TeXformat\
\n              - Voreinstellungen fr MOTeX\
\n              - Eintrag privater Drucker",
},


  { "Keys:        some information on key names\
\n \
\n This section lists the names we use for the\
\n keys on the keyboard and where to find them.\
\n \
\n RETURN  the carriage return arrow which is\
\n         used to send a command to the system,\
\n         may be also marked ENTER\
\n \
\n CTRL    control key, usually in the lower\
\n         left corner, may be also marked STRG\
\n \
\n ALT     alternate key, left of the space key;\
\n         also used for the META key which is\
\n         present on some keyboards and used by\
\n         the emacs editor\
\n \
\n SHIFT   the shift key that changes letters to\
\n         uppercase, usually marked with an\
\n         open up arrow\
\n \
\n LEFT    the cursor keys, marked with left,\
\n RIGHT   right, up, and down arrows; usually\
\n UP      between the letter rows and the\
\n DOWN    keypad on the right\
\n \
\n PAGE_UP   the keys used to scroll in editors,\
\n PAGE-DOWN usually marked with these strings\
\n           or with PAGE or BILD combined with\
\n           an up or down arrow\
\n \
\n TAB    tabulator keys, marked with an arrow\
\n        touching a vertical bar, usually top\
\n        of the SHIFT keys",

  "Tasten:      Bezeichnungen der Tasten\
\n \
\n Dieser Abschnitt enthlt eine Liste der\
\n Tastennamen, die wir benutzen, und erklrt,\
\n wo man sie auf der Tastatur findet.\
\n \
\n RETURN  die Zeilenvorschubtaste, die auch\
\n         benutzt wird, um ein Kommando abzu-\
\n         schicken, oft auch mit ENTER markiert\
\n \
\n CTRL    Control Taste, normalerweise in der\
\n         linken unteren Ecke, auf deutschen\
\n         Tastaturen auch mit STRG markiert\
\n \
\n ALT     Alternativ Taste, links von der Leer-\
\n         zeichentaste; wird auch fr die META\
\n         Taste benutzt, die es auf manchen Ta-\
\n         staturen gibt, die auch der Emacs\
\n         Editor verwendet\
\n \
\n SHIFT   die Umschalttaste, mit der man Gro-\
\n         buchstaben schreibt, normalerweise\
\n         mit einem offenen Pfeil nach oben\
\n         markiert\
\n \
\n LEFT    die Cursor Tasten, markiert mit\
\n RIGHT   Pfeilen nach links, rechts, oben und\
\n UP      unten; normalerweise zwischen dem\
\n DOWN    Buchstabenblock und dem Ziffernblock\
\n         auf der rechten Seite\
\n \
\n PAGE_UP   die Tasten, die in Editoren zum\
\n PAGE-DOWN Blttern benutzt werden, blicher-\
\n           weise mit diesen Texten markiert,\
\n           oder mit PAGE oder BILD kombiniert\
\n           mit einem Pfeil nach oben bzw unten\
\n \
\n TAB    Tabulatortaste, markiert mit einem\
\n        Pfeil, der an einen senkrechten Strich\
\n        stt, meist ber den SHIFT Tasten" },


  { "Help - How to Use Help\
\n \
\n To get help for a specific topic select an\
\n item from the index, either by clicking the\
\n item and the OK button with the mouse, or by\
\n double clicking the item.\
\n \
\n You can get the same result using keystrokes:\
\n The TAB key switches between the different\
\n \"Tab groups\". Inside the help menus, these\
\n are: OK/Cancel, index items, and scrollbars,\
\n present. Use UP and DOWN cursor to select an\
\n index item, LEFT and RIGHT cursor to switch\
\n between OK and Cancel, and RETURN to activate\
\n OK or Cancel button. OK invokes help for the\
\n selected item, Cancel closes the help dialog.\
\n The field that can be activated by pressing\
\n RETURN, or which will receive text that you\
\n type (in case of an input field), is said to\
\n have \"input focus\".\
\n \
\n Whenever the help text field becomes larger\
\n than the window, a scrollbar appears at the\
\n right and maybe the bottom margin. Use the\
\n middle mouse button to \"drag\" the window\
\n to the desired position. In the case of a\
\n vertical scrollbar you can also use the PAGE-\
\n UP and PAGE-DOWN keys, provided that the\
\n scrollbar has the input focus.\
\n \
\n A short index is always displayed left of the\
\n help text. Select \"Index\" to have a short\
\n explanation of either topic.",

  "Hilfe - Wie benutzt man die Hilfefunktion?\
\n \
\n Den Hilfstext zu einem bestimmten Stichwort\
\n bekommt man auf zwei verschiedene Arten:\
\n \
\n zuerst das Stichwort und danach den OK-Knopf\
\n mit der Maus anklicken oder das Stichwort\
\n \"doppelklicken\" (zweimal kurz hintereinander\
\n mit der Maus klicken).\
\n \
\n Das Gleiche kann man auch mit Hilfe der\
\n Tastatur erreichen: Die Tabulatortaste schal-\
\n tet zwischen den verschiedenen \"Tabulator-\
\n Gruppen\" hin und her. Das sind hier OK und\
\n Cancel, die Stichwrter und der Schiebebalken\
\n (\"scroll bar\"). Mit den Cursortasten UP und\
\n DOWN knnen Stichwrter ausgewhlt, mit LEFT\
\n und RIGHT kann zwischen OK und Cancel gewech-\
\n selt werden. RETURN lst den OK- oder den\
\n Cancel-Knopf aus. OK zeigt den Hilfstext zum\
\n ausgewhlten Stichwort, Cancel beendet den\
\n Hilfedialog.\
\n \
\n Man sagt, ein Feld steht \"auf Eingabe\", wenn\
\n es durch Drcken der RETURN Taste aktiviert\
\n werden kann, oder das den eingetippten Text\
\n aufnimmt, falls es sich um ein Eingabefeld\
\n handelt.\
\n Sobald das Feld fr einen Hilfstext grer\
\n wird als das Fenster, erscheint am rechten\
\n und ggf. am unteren Rand ein Schiebebalken.\
\n Mit dem mittleren Knopf der Maus kann das\
\n Fenster ber den Text weg in die gewnschte\
\n Lage \"gezogen\" werden. Bei einem senkrechten\
\n Schiebebalken knnen auch die PAGE-UP und\
\n PAGE-DOWN Tasten benutzt werden, sofern der\
\n Schiebebalken auf Eingabe steht.\
\n \
\n Links vom Hilfstext steht immer das Inhalts-\
\n verzeichnis. Whlen Sie \"Inhalt\" so erhalten\
\n Sie zu jedem Stichwort eine kurze Erklrung." },


  { "MOTeX - How to Use MOTeX\
\n \
\nIndex of this section:\
\n \
\n 1. Elements of MOTeX\
\n 2. Typical use of MOTeX\
\n 3. Files and security\
\n 4. Mnemonics and accelerators\
\n \
\n \
\n 1. Elements of MOTeX\
\n \
\n MOTeX consists of\
\n \
\n - a menubar on top, displaying a list of\
\n   available functions,\
\n - 1 or 2 filename input fields,\
\n - a printer selction menu,\
\n - fields for printer options (pages),\
\n - and a message field (initially blank).\
\n \
\n When a function is activated, a menu pops up\
\n displaying the available selections, e.g. a\
\n list of supported editors, when the \"edit\"\
\n function is activated.\
\n \
\n Each function is selected by clicking the\
\n appropriate button on the menubar and the\
\n popped up menu with the mouse, or by using\
\n mnemonics or \"accelerators\" (look below).\
\n \
\n \
\n 2. Typical use of MOTeX\
\n \
\n This section describes the suggested general\
\n flow of control when you use MOTeX, though\
\n it is by no means the only way to use it.\
\n Refer to the appropriate sections to get\
\n detailed information about the available\
\n functions.\
\n \
\n Step 1:\
\n Edit your input file using your preferred\
\n editor. Type the filename either into one\
\n of the two input fields, or use the \"file\"\
\n button and the \"select input file\" button\
\n to select a file from the \"file selection\
\n dialog\". You need not type the file exten-\
\n sion. \".tex\" is automatically added to your\
\n filename.\
\n \
\n Step 2:\
\n If you typed German text, you may need to\
\n convert the umlauts to TeX format. You will\
\n find this function under \"utilities\".\
\n \
\n Step 3:\
\n Format the file using the \"format-\" and,\
\n usually, the \"LaTeX\" button. When the file\
\n is formatted, you may order an immediate\
\n second run by typing \"r\", or you simply\
\n press RETURN to end the format function.\
\n \
\n Step 4:\
\n You may view the formatted file on your\
\n terminal. Most times you will use \"xdvi\".\
\n You need not change the filename for that:\
\n The \".dvi\" extension is added automatically.\
\n \
\n Step 5:\
\n You may print your file on any PostScript\
\n printer that is available in the computer\
\n network. You may also create a file for a\
\n 300dpi PostScript printer and transfer it\
\n manually to printers which are not available\
\n on your net.\
\n \
\n \
\n 3. Files and Security\
\n \
\n TeX uses a set of files which all use the\
\n same base name but a different extension. The\
\n extension is the last part of the filename,\
\n i.e. the substring after the last \".\". The\
\n extension of the file to be formatted should\
\n be \"tex\". The extension of the resulting\
\n file is set to \"dvi\". Other extensions used\
\n by TeX, especially LaTeX, are \"log\", \"aux\",\
\n \"toc\", and maybe \"bbl\", \"idx\". PostScript\
\n drivers generate a file with the extension\
\n \"ps\".\
\n \
\n MOTeX knows the extensions \"tex\", \"dvi\",\
\n \"log\", and \"ps\". A filename which has one\
\n of these extensions is automatically stripped\
\n and the correct extension for the function\
\n selected is added.\
\n \
\n Note that files with these names that already\
\n exist will be deleted if necessary. All files\
\n are allocated in the same directory in which\
\n the \"tex\" file is located. Thus you need\
\n write access to this directory and to the\
\n necessary files.\
\n \
\n Be sure that none of the corresponding files\
\n is a file that may not be deleted.\
\n \
\n \
\n 4. Mnemonics and Accelerators\
\n \
\n The list of available functions on top of the\
\n MOTeX window is called a \"menubar\". When\
\n you push a button on the menubar, a \"menu\"\
\n pops up from which you may select the desired\
\n function.\
\n \
\n To make menu functions more convenient, most\
\n of them have \"mnemonics\" and \"accelerators\"\
\n associated with them. These are keyboard\
\n equivalents that enable the user to access\
\n menus (and menu items) without having to move\
\n from the keyboard to the mouse.\
\n \
\n Mnemonics are letters that activate the\
\n corresponding menu item when typed. They\
\n are indicated by underlining. To distinguish\
\n between ordinary text typing and typing a\
\n mnemonic you have to use the ALT key together\
\n with the underlined letter as long as the\
\n menu has not been popped up. Once the menu is\
\n displayed, you need only type the underlined\
\n character because it cannot be mistaken as\
\n text entry in this case.\
\n \
\n For example, in MOTeX Alt-E pops up the\
\n editor menu, then typing E invokes emacs.\
\n Though in this help text the keystrokes are\
\n shown in uppercase, you need not press the\
\n SHIFT key, and, in case of combinations with\
\n ALT and CTRL keys, you must not press the\
\n SHIFT key.\
\n \
\n Accelerators are keystroke combinations that\
\n invoke a menu item even when the menu is not\
\n displayed. In MOTeX one item from each menu\
\n has been associated with an accelerator, i.e.\
\n the default. For example, the default editor\
\n may be invoked by simply typing Ctrl-E, or\
\n MOTeX may be exited by typing Ctlr-C.\
",

  "MOTeX - Wie benutzt man MOTeX?\
\n \
\nInhalt dieses Abschnitts\
\n \
\n 1. Elemente von MOTeX\
\n 2. Typische Nutzung von MOTeX\
\n 3. Dateien und Sicherung\
\n 4. Gedchtnishilfen und Beschleuniger\
\n \
\n \
\n 1. Elemente von MOTeX\
\n \
\n MOTeX besteht aus\
\n \
\n - einer Menleiste im Kopf, in der die ver-\
\n   fgbaren Funktionen angezeigt werden\
\n - ein oder zwei Eingabefeldern fr Dateinamen\
\n - einem Men fr die Druckerauswahl\
\n - Feldern fr Druckparameter (Seitenangaben)\
\n - einem Feld fr Meldungen (zu Beginn leer).\
\n \
\n Wenn eine der Funktionen ausgewhlt wird, er-\
\n scheint ein Men, das die zugehrigen Aus-\
\n wahlmglichkeiten anzeigt, z.B. eine Liste\
\n der untersttzten Editoren, wenn \"edit\"\
\n aktiviert wurde.\
\n \
\n Jede Funktion kann auf zwei verschiedene\
\n Arten ausgewhlt werden:\
\n \
\n - den zugehrigen Knopf in der Menleiste und\
\n   des dann erscheinenden Mens mit der Maus\
\n   anklicken oder\
\n - die \"Gedchtnishilfen\" oder den \"Beschleu-\
\n   niger\" ber die Tastatur benutzen (siehe\
\n   unten).\
\n \
\n \
2. Typische Nutzung von MOTeX\
\n \
\n In diesem Abschnitt wird beschrieben, wie\
\n MOTeX normalerweise benutzt werden sollte,\
\n obwohl dies keinesfalls die einzige Mglich-\
\n keit ist. Einzelheiten ber die verfgbaren\
\n Funktionen finden Sie in den entsprechenden\
\n Unterabschnitten.\
\n \
\n 1. Schritt:\
\n Edieren Sie Ihre Eingabedatei mit einem ge-\
\n eigneten Editor. Tippen Sie den Dateinamen\
\n entweder in eines der beiden Eingabefelder,\
\n oder benutzen Sie die Knpfe \"file\" und \"Ein-\
\n gabedatei auswhlen\". Damit whlen Sie eine\
\n Datei aus dem \"file selection dialog\" aus.\
\n Die Dateierweiterung braucht nicht angegeben\
\n zu werden, weil automatisch \".tex\" an den\
\n Dateinamen angehngt wird.\
\n \
\n 2. Schritt:\
\n \
\n Umlaute in deutschen Texten mssen in TeX-\
\n format umgewandelt werden. Diese Funktion\
\n finden Sie unter \"utilities\".\
\n \
\n 3. Schritt:\
\n \
\n Drcken des \"format-\" und - in der Regel -\
\n des \"LaTeX\"-Knopfes lst die Formatierung\
\n aus. Nach der Formatierung kann sofort ein\
\n zweiter Formatierlauf aufgerufen (geben Sie\
\n einfach \"R\" ein) oder aber das Formatieren\
\n beendet werden (RETURN-Taste drcken).\
\n \
\n 4. Schritt:\
\n \
\n Die formatierte Datei kann auf dem Bildschirm\
\n dargestellt werden (\"previewing\"). Meist\
\n wird dafr \"xdvi\" benutzt. Der Dateiname\
\n braucht dafr nicht gendert zu werden, denn\
\n die Erweiterung des Dateinamens \".dvi\" wird\
\n automatisch angehngt.\
\n \
\n 5. Schritt:\
\n \
\n Die Datei kann auf jedem PostScript-Drucker\
\n ausgegeben werden, der im Netz erreichbar\
\n ist. Fr 300dpi PostScript-Drucker, die nicht\
\n an das Netz angeschlossen sind, kann eine\
\n Ausgabedatei erzeugt und von Hand zu diesem\
\n Drucker bertragen werden.\
\n \
\n \
\n 3. Dateien und ihre Sicherheit\
\n \
\n TeX benutzt fr seine verschiedenen Teil-\
\n schritte Dateien, die alle den gleichen \"Vor-\
\n namen\", jedoch verschiedene Erweiterungen\
\n (\"extensions\") haben. Die Erweiterung ist\
\n der letzte Teil des Dateinamens, d.h. die\
\n Zeichenkette, die auf den letzten Punkt im\
\n Namen folgt. Die Erweiterung einer zu forma-\
\ntierenden Datei sollte \"tex\" sein. Das Ergeb-\
\nnis der Formatierung ist eine Datei mit der\
\n Erweiterung \"dvi\". Andere Erweiterungen,\
\n die von TeX, insbesondere von LaTeX, benutzt\
\n werden, sind \"log\", \"aux\", \"toc\" und manch-\
\n mal \"bbl\", \"idx\". PostScript-Treiber erzeugen\
\n Dateien mit der Erweiterung \"ps\".\
\n \
\n MOTeX kennt die Erweiterungen \"tex\", \"dvi\",\
\n \"log\" und \"ps\". Tritt eine dieser Erwei-\
\n terungen im Dateinamen auf, wird sie automa-\
\n tisch durch die Erweiterung ersetzt, die fr\
\n die aufgerufene Funktion bentigt wird.\
\n \
\n Beachten Sie bitte: Existieren bereits\
\n Dateien mit diesen Namen, so werden sie,\
\n falls ntig, gelscht. Alle Dateien werden\
\n im selben Verzeichnis (\"directory\") wie das\
\n \"TeX\"-File angelegt. Sie brauchen deshalb\
\n zu diesem Verzeichnis und auf die bentigten\
\n Dateien Schreibzugriff.\
\n \
\n Vergewissern Sie sich, da unter den zugeh-\
\n rigen Dateien keine sind, die nicht gelscht\
\n werden drfen.\
\n \
\n \
\n 4. Gedchtnishilfen und Beschleuniger\
\n \
\n Die Liste der verfgbaren Funktionen im Kopf\
\n des Fensters fr MOTeX heit \"Menleiste\".\
\n Wenn Sie einen der Knpfe der Menleiste\
\n drcken, erscheint das zugehrige Men auf\
\n dem Bildschirm. Aus diesem Men knnen Sie\
\n die Funktion auswhlen, die sie haben wollen.\
\n \
\n Fr die meisten Funktionen in diesen Mens\
\n gibt es \"Gedchtnishilfen\" (\"mnemonics)\" und\
\n \"Beschleuniger\" (\"accelerator\"). Es sind dies\
\n bestimmte Tasten, ber die der Benutzer auf\
\n Mens (und Meneintrge) zugreifen kann,\
\n ohne zwischen Maus und Tastatur wechseln zu\
\n mssen.\
\n \
\n \"Gedchtnishilfen\" sind die Buchstaben oder\
\n Ziffern aus den Funktionsnamen, die durch\
\n Unterstreichen gekennzeichnet sind. Werden\
\n sie ber die Tastatur eingegeben, so er-\
\n scheint das zugehrige Men. Auf der Tastatur\
\n wird zwischen gewhnlichem Text und Eingabe\
\n von Gedchtnishilfen dadurch unterschieden,\
\n da die ALT-Taste und das unterstrichene Zei-\
\n chen gemeinsam gedrckt werden mssen, wenn\
\n das zugehrige Men noch nicht angezeigt\
\n wurde. Sobald das Men erscheint, braucht\
\n nur mehr das unterstrichene Zeichen gedrckt\
\n zu werden, weil es von da an nicht mehr mit\
\n gewhnlichem Text verwechselt werden kann.\
\n \
\n Beispiel: In MOTeX holt die Kombination\
\n ALT-E das Editormen herein. Danach wird\
\n durch bloes Eintippen von E der Editor Emacs\
\n aufgerufen.\
\n \
\n Die Umschalttaste braucht nicht gedrckt zu\
\n werden; in Kombination mit der ALT oder CTRL-\
\n Taste darf sie nicht gedrckt werden. In\
\n diesem Hilfstext werden die Tasten nur wegen\
\n der bersichtlichkeit als Grobuchstaben an-\
\n gegeben. Wo ein Buchstabe ausdrcklich klein\
\n geschrieben ist, mu er auch klein eingegeben\
\n werden.\
\n \
\n \"Beschleuniger\" sind Tastenkombinationen, mit\
\n denen Elemente eines Mens aufgerufen werden\
\n knnen, auch wenn das Men selbst noch nicht\
\n auf dem Bildschirm steht. In MOTeX ist ein\
\n Element jedes Mens mit einem Beschleuniger\
\n verbunden, nmlich mit der Voreinstellung. So\
\n kann z.B. der voreingestellte Editor direkt\
\n aus dem MOTeX-Fenster mit der Kombination\
\n CTRL-E aufgerufen werden, oder man kann TeX-\
\n shell durch Eingabe von CTRL-C verlassen.\
" },


 { "File Selection\
\n \
\nIndex of this section:\
\n \
\n 1. What the 2 input fields are good for\
\n 2. The file selection dialog\
\n 3. Quitting MOTeX\
\n \
\n \
\n 1. What the 2 Input Fields Are Good For\
\n \
\n You can work with one or two input filename\
\n fields. Switch between the two pressing the\
\n buttons \"push to edit alternate file\" and\
\n \"suspend\". Working with one input filename\
\n is obvious, using two works as follows:\
\n \
\n The primary input file is used in formatting,\
\n viewing, and printing files, the alternate\
\n file for editing (and converting umlauts,\
\n refer to utilities). This is recommended\
\n when you are working on large documents,\
\n consisting of several sections each residing\
\n in a different file.\
\n \
\n \
\n 2. The File Selection Dialog\
\n \
\n The file selection dialog is popped up when\
\n you select it explicitly using the \"file\"\
\n function or pressing Ctrl-S in the main\
\n window, when you start any other function\
\n with an empty filename, or when you press\
\n OK on the info dialog. The info dialog is\
\n popped up, whenever you start a function\
\n with a filename that is invalid for it.\
\n \
\n The file selection dialog displays two lists\
\n of files, namely a list of directories and a\
\n list of ordinary files, both of which match\
\n the pattern in the field \"Filter\" on top.\
\n Filtering means to list the contents of the\
\n selected directory according to the \"Filter\"\
\n pattern; it can be achieved by pressing the\
\n Filter button, or by double clicking on the\
\n selected directory.\
\n \
\n Once you found the desired file you press OK\
\n (or double click on that file); the file\
\n selection dialog will enter the selected name\
\n to the appropriate input field, vanish and\
\n either start the previously selected function\
\n or return to the main window.\
\n \
\n The initial filter directory will be the\
\n directory which is already present in the\
\n appropriate input field, unless it does not\
\n exist or is unreadable. In this case it is\
\n the user's home directory, or, if it exists,\
\n his $HOME/tex. The initial search pattern\
\n depends on the selected function: It is \"*\",\
\n if the dialog was selected from the \"file\"\
\n menu, \"*.tex\" if it was started during the\
\n edit function, and \"*.dvi\" otherwise. In any\
\n case it may be overwritten in the \"Filter\"\
\n field in the file selection dialog. As usual,\
\n the asterisk denotes a wildcard that is\
\n matched by any character string.\
\n \
\n To leave the file selection dialog without\
\n changing anything, press the Cancel button.\
\n \
\n \
\n 3. Quitting MOTeX\
\n \
\n To quit MOTeX you may click the \"quit\"\
\n button in the file menu, or simply press\
\n Ctrl-C in the main window. The current\
\n entries (input fileds, printer) are then\
\n saved in your .Xdefaults file, and MOTeX\
\n is exited. Any child task that is still\
\n running (e.g. an editor window) is not\
\n affected. You must exit those separately.\
\n \
\n It is not recommended to quit MOTeX by\
\n closing its window, since nothing is saved\
\n then, though child tasks are not affected\
\n too. Never close MOTeX's parent aixterm\
\n window (i.e. the aixterm window where you\
\n entered the MOTeX command), since all child\
\n processes are killed too; even editors may\
\n be exited without saving their data.",

  "Dateiauswahl\
\n \
\nInhalt dieses Abschnitts\
\n \
\n 1. Nutzung der beiden Eingabefelder\
\n 2. Der Dialog fr die Dateiauswahl\
\n 3. MOTeX beenden\
\n \
\n \
\n 1. Nutzung der beiden Eingabefelder\
\n \
\n Sie knnen mit einem oder mit zwei Eingabe-\
\n feldern fr Dateinamen arbeiten. Zwischen\
\n beiden Feldern wird mit den Knpfen \"Edition\
\n einer zweiten Datei\" und \"Unterdrcken\" hin-\
\n und hergeschaltet. Mit zwei Eingabedateien\
\n arbeitet man wie folgt:\
\n \
\n Die erste Eingabedatei wird fr die Formatie-\
\n rung, die Bildschirmdarstellung und das Druk-\
\n ken benutzt, die zweite fr den Editor (ein-\
\n schlielich der Konvertierung von Umlauten,\
\n siehe unter Hilfsfunktionen). Dieses Vorgehen\
\n wird fr die Arbeit mit groen Schriftstcken\
\n empfohlen, die aus mehreren, jeweils in eige-\
\n nen Dateien untergebrachten Teilen bestehen.\
\n \
\n \
\n 2. Der Dialog fr die Dateiauswahl\
\n \
\n Der Dialog fr die Dateiauswahl erscheint,\
\n wenn Sie explizit die \"file\"-Funktion auf-\
\n rufen oder im Hauptfenster CTRL-S eingeben,\
\n wenn Sie irgendeine andere Funktion mit einem\
\n leeren Dateinamen starten oder wenn Sie im\
\n Infodialog OK drcken. Der Infodialog er-\
\n scheint immer dann, wenn Sie eine Funktion\
\n mit einem ungltigen Dateinamen aufrufen.\
\n \
\n Der Dialog fr die Dateiauswahl zeigt zwei\
\n \"gefilterte Listen\" von Dateien an:\
\n \
\n eine Liste von Verzeichnissen und\
\n eine Dateiliste.\
\n \
\n Filtern heit, aus dem gewhlten Verzeichnis\
\n nur diejenigen Dateien oder Verzeichnisse zu\
\n zeigen, die zu dem Muster im Feld \"Filter\"\
\n am Kopf des Mens passen. Das Filtern kann\
\n entweder durch Drcken des Filterknopfes oder\
\n durch Doppelklicken des gewhlten Verzeich-\
\n nis ausgelst werden.\
\n \
\n Wenn Sie die gewnschte Datei gefunden haben,\
\n klicken Sie sie an und drcken OK (oder dop-\
\n pelklicken sie). Der Dialog fr die Dateiaus-\
\n wahl bertrgt ihren Namen in das passende\
\n Eingabefeld, verschwindet und startet ent-\
\n weder die vorher ausgewhlte Funktion oder\
\n schaltet zurck in das Hauptfenster.\
\n \
\n Am Anfang des Dialogs wird als Filter das-\
\n jenige Verzeichnis verwendet, das bereits im\
\n zugehrigen Eingabefeld steht, es sei denn,\
\n dieses Verzeichnis gibt es nicht oder es kann\
\n nicht gelesen werden. In diesen beiden Fllen\
\n wird entweder das Heimatverzeichnis des Be-\
\n nutzers benutzt, oder, falls es das gibt,\
\n sein $HOME/tex.\
\n \
\n Mit welchem Suchmuster begonnen wird, hngt\
\n von der gewhlten Funktion ab: Es ist \"*\",\
\n wenn der Dialog vom \"file\"-Men aus aufge-\
\n rufen wurde; es ist \"*.tex\", wenn er durch\
\n die Funktion \"edit\", \"format\" oder vergleich-\
\n bares gestartet wurde; es ist \"*.dvi\", wenn\
\n er durch eine Funktion gestartet wurde, die\
\n den DVI-File verarbeitet, usw. In jedem Fall\
\n knnen Sie das Muster im Feld \"Filter\" ber-\
\n schreiben. Der Stern bezeichnet wie blich\
\n einen \"Joker\", steht also anstelle irgend-\
\n einer beliebigen anderen Zeichenkette.\
\n \
\n Mit dem Cancel-Knopf kann der Dialog fr die\
\n Dateiauswahl beendet werden, ohne da etwas\
\n anderes gendert wird.\
\n \
\n \
\n 3. MOTeX beenden\
\n \
\n Um MOTeX zu beenden, knnen Sie entweder den\
\n \"Ende\"-Knopf im file-Men anklicken oder\
\n einfach CTRL-C im Hauptfenster eintippen.\
\n Die augenblicklichen Eingaben (Eingabefelder,\
\n Drucker) werden in ihrer Datei .Xdefaults\
\n gesichert, erst dann wird MOTeX verlassen.\
\n Irgendwelche \"Sohnprozesse\", die noch laufen\
\n (z.B. ein Editor) sind von dieser Aktion\
\n nicht betroffen. Sie mssen jeden fr sich\
\n gesondert abschlieen.\
\n \
\n Wir empfehlen, MOTeX nicht einfach durch\
\n Schlieen ihres Fensters abzubrechen, weil\
\n dann nichts gesichert wird, auch wenn die\
\n \"Sohnprozesse\" durch solch einen Abbruch\
\n nicht betroffen sind. In keinem Fall sollte\
\n der Vaterproze von MOTeX (das ist das Fen-\
\n ster, von dem aus das MOTeX-Kommando gegeben\
\n wurde) einfach geschlossen werden; denn dann\
\n werden auch alle \"Sohnprozesse\" einfach\
\n abgewrgt. Selbst Editoren knnen abgewrgt\
\n werden, ohne da die mit ihnen bearbeiteten\
\n Daten gesichert wurden." },


  { "Editing\
\n \
\nIndex of this section:\
\n \
\n 1. General notes\
\n 2. Emacs\
\n 3. Vi\
\n 4. INed\
\n \
\n \
\n 1. General Notes\
\n \
\n Each editor is invoked in a separate window.\
\n Once an editor window has been opened, the\
\n editor cannot be invoked for a second time.\
\n The editors use the alternate input filename,\
\n unless it is suspended, in which case the\
\n primary input filename is used. The extension\
\n is automatically set to \".tex\".\
\n \
\n One of the editors is declared the default\
\n editor, which may be invoked with \"Ctrl-E\".\
\n You may set your preferred default editor in\
\n the customization menu (refer to utilities),\
\n or explicitly in your .Xdefaults file, using\
\n the resource \"motex.defaultEditor\".\
\n \
\n To pop up the editor list you may click the\
\n edit field with the left mouse button, or by\
\n typing Alt-E. Inside the list you may select\
\n your desired editor either by clicking the\
\n appropriate field, or by typing E, V or I\
\n (i.e. the underscored character).\
\n \
\n Some short notes on the different editors\
\n follow; for a detailed discussion refer to\
\n the available documentation.\
\n \
\n \
\n 2. Emacs\
\n \
\n Emacs is a very powerful language sensitive\
\n editor (this means especially that it\
\n supports LaTeX). This version is adapted to\
\n support German keyboards as well as English.\
\n \
\n Full printed documentation is available as\
\n well as online help. Press Ctrl-h and follow\
\n the guide-lines carefully.\
\n \
\n A reference card is located in the file\
\n /usr/local/gnuemacs/etc/refcard.dvi,\
\n and the Emacs Manual (about 300 pages) in\
\n /usr/local/gnuemacs/man/emacs.dvi.\
\n \
\n To quit emacs press Ctrl-x Ctrl-c.\
\n \
\n \
\n 3. Vi\
\n \
\n Vi is the standard Unix editor, available on\
\n all Unix systems. There is no online help\
\n but a manual entry.\
\n \
\n The most secure way to quit vi is to press\
\n ESC, type \":q\", and press RETURN.\
\n \
\n \
\n 4. INed\
\n \
\n I don't know much about INed, because I don't\
\n use it. Online help is available via the F1\
\n key, but useless unless you already know the\
\n key names.\
\n \
\n Usually you should be able to quit INed with\
\n the Alt-D key, but this does not always work.\
",

  "Editoren unter MOTeX\
\n \
\n Inhalt dieses Abschnitts\
\n \
\n 1. Allgemeines\
\n 2. Emacs\
\n 3. Vi\
\n 4. INed\
\n \
\n \
\n 1. Allgemeines\
\n \
\n Jeder Editor wird in einem eigenen Fenster\
\n aufgerufen. Wenn ein Editor gestartet worden\
\n ist, kann dieser Editor kein zweites Mal auf-\
\n gerufen werden. Die Editoren benutzen das\
\n Feld fr die 2. Eingabedatei, es sei denn,\
\n dieses Feld ist unterdrckt worden. In diesem\
\n Fall wird das Feld fr die 1. Eingabedatei\
\n benutzt. Die Erweiterung fr den Dateinamen\
\n wird automatisch auf \"tex\" gesetzt.\
\n \
\n Einer der Editoren kann als voreingestellt\
\n gekennzeichnet und mit \"CTRL-E\" aufgerufen\
\n werden. Sie knnen den Editor, den Sie bevor-\
\n zugen, im Men Voreinstellungen (siehe Hilfs-\
\n funktionen) einstellen oder explizit in Ihre\
\n Datei .Xdefaults eintragen, und zwar dort\
\n unter \"motex.defaultEditor\".\
\n \
\n Die Liste der Editoren wird angezeigt, wenn\
\n Sie entweder das Feld \"edit\" mit dem linken\
\n Mausknopf anklicken oder ALT-E drcken. In\
\n der Liste knnen Sie das Feld fr den Editor\
\n anklicken, den Sie benutzen wollen, oder Sie\
\n whlen ihren Editor durch Eintippen eines der\
\n Buchstaben E, V oder I aus, also eines der\
\n unterstrichenen Buchstaben.\
\n \
\n Es folgen einige kurze Anmerkungen zu den\
\n verschiedenen Editoren. Weitere Einzelheiten\
\n finden Sie in den vorhandenen Unterlagen.\
\n \
\n 2. Emacs\
\n \
\n Emacs ist ein sehr leistungsfhiger sprach-\
\n abhngiger Editor. Sprachabhngig heit, da\
\n er Eigenheiten der Sprache bercksichtigt,\
\n die in der Quelldatei benutzt wird, insbeson-\
\n dere auch von LaTeX. Die von WT-DV angebotene\
\n Version untersttzt sowohl deutsche als auch\
\n englische Tastaturen.\
\n \
\n Fr Emacs gibt es sowohl gedruckte Unterlagen\
\n als auch eine Hilfsfunktion am Bildschirm.\
\n Drcken Sie CTRL-H und folgen Sie sorgfltig\
\n den Anweisungen. \
\n \
\n Eine Liste der Kommandos finden Sie in der\
\n Datei /usr/local/gnuemacs/etc/refcard.dvi.\
\n Das Emacs-Handbuch (ungefhr 300 Seiten)\
\n steht in /urs/local/gnuemacs/man/emax.dvi.\
\n \
\n Sie verlassen Emacs mit CTRL-X CTRL-C.\
\n \
\n 3. Vi\
\n \
\n Vi ist der Standardeditor von UNIX. Er ist in\
\n allen UNIX-Systemen vorhanden. Es gibt zwar\
\n unter Vi keine Online-Hilfe, aber unter dem\
\n man-Kommando.\
\n \
\n Der sicherste Weg, Vi zu beenden, ist, nach-\
\n einander die Tasten ESC, \":q\" und RETURN zu\
\n drcken.\
\n \
\n 4. INed\
\n \
\n ber INed kann ich nicht viel sagen, weil ich\
\n ihn nicht benutze. Online-Hilfe kann ber die\
\n F1-Taste aufgerufen werden, hilft aber nicht\
\n viel weiter, wenn man die speziellen Tasten-\
\n bezeichnungen von INed nicht schon kennt.\
\n \
\n Im Allgemeinen sollte es mglich sein, INed\
\n mit der Tastenkombination ALT-D zu verlassen.\
\n Das gelingt aber nicht in allen Fllen." },


  { "Formatting\
\n \
\nIndex of this section:\
\n \
\n 1. General notes\
\n 2. LaTeX\
\n 3. SLiTeX\
\n 4. Plain\
\n \
\n \
\n 1. General Notes\
\n \
\n The formatter - TeX - is running with the\
\n desired macro package, usually LaTeX, in a\
\n separate aixterm window. The formatter always\
\n uses the primary input filename with its\
\n extension automatically set to \".tex\".\
\n \
\n TeX creates several output files, the most\
\n important of which is the DVI file (device\
\n independent file), named with the same base\
\n name as the input file but with an extension\
\n of \".dvi\". Each further processing uses\
\n this DVI file.\
\n \
\n One of the macro packages, usually LaTeX, is\
\n declared as default macro package, which may\
\n be invoked with \"Ctrl-F\". You may set your\
\n preferred default macro package in the\
\n customization menu (refer to utilities),\
\n or explicitly in your .Xdefaults file, using\
\n the resource \"motex.defaultFormatter\".\
\n \
\n To pop up the macro package list you may\
\n click the format field with the left mouse\
\n button, or type Alt-F. Inside the list\
\n you may select your desired macro package\
\n either by clicking the appropriate field,\
\n or by typing L, S or P (i.e. the underscored\
\n character).\
\n \
\n Some short notes on the different macro\
\n packages follow; for a detailed discussion\
\n refer to the \"man\" pages and other available\
\n documentation (to be written).\
\n \
\n \
\n 2. LaTeX\
\n \
\n LaTeX is a structured approach to formatting.\
\n Documents are \"marked\" using descriptions\
\n such as \"chapter\", \"section\", \"paragraph\",\
\n \"formula\" etc. Tools are available to support\
\n references, bibliographies, an index. You can\
\n widely influence the layout of your document\
\n by the means of \"style\" files. PostScript\
\n fonts are supported just by specifying the\
\n appropriate style file. You should use LaTex\
\n whenever you start writing a new document.\
\n \
\n \
\n 2. SLiTeX\
\n \
\n SLiTeX is a variant of LaTeX designed for\
\n writing slides.\
\n \
\n \
\n 3. Plain\
\n \
\n Plain is the minimal macro package of the\
\n developper of TeX, D.E.Knuth. Today it is\
\n rarely used but as a base for advanced macro\
\n packages; several specialized applications\
\n such as the emacs documentation need to be\
\n formatted with plain TeX. It is not to be\
\n recommended for the usual production work.\
",

  "Formatierung\
\n \
\n Inhalt dieses Abschnitts\
\n \
\n 1. Allgemeines\
\n 2. LaTeX\
\n 3. SLiTeX\
\n 4. Plain\
\n \
\n \
\n Allgemeines\
\n \
\n Der Formatierer \"TeX\" luft mit dem gewnsch-\
\n ten Makropaket, i.a. LaTeX, in einem eigenen\
\n aixterm-Fenster. Er benutzt immer den Namen\
\n der 1. Eingabedatei und setzt automatisch\
\n deren Erweiterung auf \"tex\".\
\n \
\n TeX erzeugt mehrere Ausgabedateien, deren\
\n wichtigste der \"DVI-File\" (device independent\
\n file) ist. Diese Datei erhlt den gleichen\
\n Namen wie die Eingabedatei, jedoch mit der\
\n Erweiterung \"dvi\". Die gesamte weitere Ver-\
\n arbeitung des formatierten Textes benutzt\
\n diesen DVI-File.\
\n \
\n Eines der Makropakete, in der Regel LaTeX,\
\n wird als voreingestellt gekennzeichnet und\
\n kann mit \"CTRL-F\" ber die Tastatur direkt\
\n aufgerufen werden. Falls Sie ein anderes\
\n Makropaket vorziehen, knnen Sie es im Men\
\n Voreinstellungen (vgl. Hilfsfunktionen) oder\
\n explizit in Ihrer .Xdefaults-Datei angeben,\
\n  dort unter \"motex.defaultFormatter\".\
\n \
\n Die Liste der Makropakete wird angezeigt,\
\n wenn Sie entweder das Feld \"format\" mit dem\
\n linken Mausknopf anklicken oder ALT-F ein-\
\n geben. In der Liste knnen Sie das Feld fr\
\n das Makropaket anklicken, das Sie benutzen\
\n wollen, oder Sie whlen es durch Eintippen\
\n eines der Buchstaben L, S oder P aus, also\
\n eines der unterstrichenen Buchstaben.\
\n \
\n Es folgen einige kurze Anmerkungen zu den\
\n verschiedenen Makropaketen. Genauere Angaben\
\n finden Sie in den \"man-Seiten\" oder in der\
\n Dokumentation (im Buchhandel erhltlich).\
\n \
\n \
\n 2. LaTeX\
\n \
\n LaTeX ist eine Mglichkeit, strukturiert zu\
\n formatieren. Schriftstcke werden mit Be-\
\n zeichnungen wie \"Kapitel\", \"Abschnitt\",\
\n \"Absatz\", \"Formel\" usw \"markiert\". Es gibt\
\n Werkzeuge zu LaTeX, die das Erstellen von\
\n Verweisen, Literaturverzeichnissen und Sach-\
\n registern untersttzen. Das Layout eines\
\n Schriftstcks kann mit den sogenannten\
\n \"style files\" in weiten Grenzen beeinflut\
\n werden. PostScript Schriften werden unter-\
\n sttzt, man braucht dazu nur die passenden\
\n Stylefiles anzugeben.\
\n \
\n Wenn Sie ein neues Schriftstck zu schreiben\
\n beginnen, sollten Sie immer LaTeX benutzen. \
\n \
\n 3. SLiTeX\
\n \
\n SLiTeX ist eine LaTeX-Variante fr das\
\n Gestalten von Folien.\
\n \
\n \
\n 4. Plain\
\n \
\n Plain ist das ursprngliche Makropaket des\
\n Entwicklers von TeX, D. E. Knuth. Es wird\
\n heute kaum noch benutzt, es sei denn als\
\n Grundlage fr leistungsfhigere Makropakete.\
\n Verschiedene besondere Anwendungen, wie z.B.\
\n die Emacs-Dokumentation, mssen mit PlainTeX\
\n formatiert werden. Fr die normale Routine-\
\n arbeit sollte man es nicht einsetzen." },


  { "Previewing\
\n \
\nIndex of this section:\
\n \
\n 1. General notes\
\n 2. XDVI\
\n 3. Ghostview\
\n \
\n \
\n 1. General Notes\
\n \
\n Each previewer is invoked in a separate\
\n window. Once a previewer window has been\
\n opened, this previewer cannot be invoked for\
\n a second time. The previewers always use the\
\n primary input filename whith its extension\
\n automatically set to \".dvi\".\
\n \
\n One of the previewers is declared as default\
\n previewer, which may be invoked directly\
\n with \"Ctrl-V\". You may set your preferred\
\n default previewer in the customization menu\
\n (refer to utilities), or explicitly in\
\n your .Xdefaults file, using the resource\
\n \"motex.defaultPreviewer\".\
\n \
\n To pop up the previewer list you may click\
\n the preview field with the left mouse button,\
\n or by typing Alt-V. Inside the list you may\
\n select your desired previewer either by\
\n clicking the appropriate field, or by typing\
\n X or G (i.e. the underscored character).\
\n \
\n Neither previewer is MOTIF based, thus some\
\n functions work a little different. E.g. you\
\n CANNOT drag the scrollbar with mouse button\
\n one, only with button two.\
\n \
\n Some short notes on the different previewers\
\n follow; for a detailed discussion refer to\
\n the \"man\" pages.\
\n \
\n \
\n 2. XDVI\
\n \
\n XDVI is a fast previewer for DVI-files which\
\n is highly recommended, unless the bitmaps\
\n of the document's fonts are not available.\
\n PostScript fonts are not available in bitmap\
\n format.\
\n \
\n XDVI provides 4 zoom factors, activated with\
\n the \"shrink1\" - \"shrink4\" buttons, and\
\n magnifying glasses of 3 sizes, activated\
\n with the 3 mouse buttons. Cursor UP and DOWN\
\n scrolls the page up and down, PAGE-UP and\
\n PAGE-DOWN switch to the previous/next page.\
\n \
\n \
\n 3.Ghostview\
\n \
\n Ghostview is a PostScript interpreter that\
\n sends its output to the terminal. Depending\
\n on the extension of the filename and on the\
\n existence of the necessary files \"ghostview\"\
\n either shows the PostScript file or invokes\
\n the dvips driver to build a PostScript file.\
\n \
\n When you specify an extension of \".ps\",\
\n Ghostview displays the PostSript file. When\
\n you specify \".dvi\", DVIPS is started first.\
\n When you specify another or no extension,\
\n DVIPS is invoked only if no PS-file exists,\
\n or if the DVI-file is newer than the PS-file.\
\n \
\n When you press RETURN at the end of the\
\n dvips run, the Ghostview interpreter is\
\n started; Ghostview starts up rather slow,\
\n so it may take some time until the Ghostview\
\n window appears.\
\n \
\n Inside Ghostview there are a lot of funtions\
\n available: zooming, rotating pages, changing\
\n page dimensions, scrolling, printing, and\
\n file management.\
\n \
\n Unfortunately Ghostview sometimes tends to\
\n abort with a \"BadAlloc\" error, an error\
\n which seems to depend on the available X-\
\n server storage. In this case it sometimes\
\n seems to help, if you set\
\n \
\n    *Ghostview.useBackingPixmap: False\
\n \
\n in your .Xdefaults file. You will then  need\
\n to refresh the window manually, by pressing\
\n mouse button 2, when it was covered by\
\n another window.\
",

  "Darstellung der formatierten Ausgabe auf dem\
\nBildschirm (Preview)\
\n \
\n Inhalt dieses Abschnitts\
\n \
\n 1. Allgemeine Bemerkungen\
\n 2. Xdvi\
\n 3. Ghostview\
\n \
\n 1. Allgemeine Bemerkungen\
\n \
\n Der formatierte DVI-File kann mit Hilfe eines\
\n Bildschirmtreibers auf einem Bildschirm dar-\
\n gestellt werden. Jeder Treiber luft in einem\
\n eigenen Fenster. Wenn ein Bildschirmtreiber\
\n gestartet worden ist, kann er nicht ein zwei-\
\n tes Mal aufgerufen werden. Die Bildschirm-\
\n treiber benutzen immer das Feld fr die 1.\
\n Eingabedatei. Die Erweiterung fr den Datei-\
\n namen wird automatisch auf \"dvi\" gesetzt.\
\n \
\n Einer der Bildschirmtreiber kann als vorein-\
\n gestellt gekennzeichnet und durch die Tasten\
\n \"CTRL-V\" aufgerufen. Sie knnen den Bild-\
\n schirmtreiber, den Sie als Voreinstellung\
\n bevorzugen, im Men Voreinstellungen (siehe\
\n Hilfsfunktionen) einstellen oder explizit in\
\n Ihre Datei .Xdefaults eintragen, und zwar\
\n dort unter \"motex.defaultPreviewer\".\
\n \
\n Die Liste der Bildschirmtreiber wird ange-\
\n zeigt, wenn Sie entweder das Feld \"preview\"\
\n mit dem linken Mausknopf anklicken oder ALT-V\
\n eingeben. In der Liste knnen Sie das Feld\
\n fr den Treiber anklicken, den Sie benutzen\
\n wollen, oder Sie whlen ihn durch Eintippen\
\n eines der Buchstaben X oder G aus, also eines\
\n der unterstrichenen Buchstaben.\
\n \
\n Keiner der Bildschirmtreiber baut auf MOTIF\
\n auf. Deshalb arbeiten manche Funktionen etwas\
\n anders als gewohnt. So kann z.B. der Schiebe-\
\n balken NICHT mit dem linken Mausknopf gezogen\
\n werden, sondern nur mit dem mittleren.\
\n \
\n Es folgen einige kurze Anmerkungen zu den\
\n verschiedenen Bildschirmtreibern. Weitere\
\n Einzelheiten finden Sie in den \"man-Seiten\".\
\n \
\n 2. XDVI\
\n \
\n XDVI ist ein schneller Bildschirmtreiber fr\
\n DVI-Files. Wir empfehlen ihn sehr, es sei\
\n denn die Bitmaps der Schriftarten im Schrift-\
\n stck sind nicht vorhanden. Das gilt z.B. fr\
\n alle PostScript-Schriftarten.\
\n \
\n XDVI stellt ber die Knpfe \"shrink1\" -\
\n \"shrink4\" vier Faktoren fr Verkleinerungen\
\n bereit, sowie ber die 3 Mausknpfe drei ver-\
\n schiedene Lupen. Die Cursor UP und DOWN\
\n schieben die Seite hoch und runter. Mit\
\n PAGE-UP und PAGE-DOWN wird die vorhergehende\
\n oder die nchste Seite aufgeschlagen.\
\n \
\n 3. Ghostview\
\n \
\n \"Ghostview\" ist ein PostScript-Interpretierer\
\n fr Bildschirme. Entweder zeigt er die Post-\
\n Script-Datei sofort auf dem Bildschirm, oder\
\n es wird zuerst der Treiber DVIPS aufgerufen,\
\n der eine PostScript-Datei erstellt. Was im\
\n Einzelfall getan wird hngt davon ab, welche\
\n Erweiterung der Dateiname hat und ob die von\
\n Ghostview bentigten Dateien vorhanden sind.\
\n \
\n Ist die Erweiterung \"ps\", so gibt Ghostview\
\n die PostScript-Datei sofort auf dem Bild-\
\n schirm wieder. Lautet sie \"dvi\", so wird\
\n zuerst \"DVIPS\" gestartet. Wird gar keine\
\n oder eine andere Erweiterung angegeben, so\
\n wird DVIPS nur aufgerufen, wenn keine PS-\
\n Datei vorhanden ist oder wenn der DVI-File\
\n jnger ist als die PS-Datei.\
\n \
\n Wenn Sie am Ende des DVIPS-Laufs RETURN drk-\
\n ken, startet der Ghostview-Interpretierer.\
\n Beachten Sie bitte: Es kann eine Weile\
\n dauern, bis das Ghostview-Fenster erscheint,\
\n Ghostview startet recht langsam.\
\n \
\n Ghostview bietet eine ganze Reihe von Zusatz-\
\n funktionen an: Verkleinern und Vergrern,\
\n Seiten drehen, Seitenmae ndern, Blttern,\
\n Drucken und Dateiverwaltung.\
\n \
\n Leider bricht Ghostview zuweilen mit einem\
\n \"BadAlloc\"-Fehler ab. Dieser Fehler scheint\
\n von der Gre des Speichers abzuhngen, der\
\n auf dem X-Server zur Verfgung steht. Manch-\
\n mal hilft es in diesen Fllen, wenn Sie in\
\n Ihrer Datei .Xdefaults\
\n \
\n    *Ghostview.useBackingPixmap: False\
\n \
\n eintragen. Wenn in diesem Fall das Fenster\
\n durch ein anderes verdeckt war, mu es von\
\n Hand (durch Drcken des 2. Mausknopfs) wieder\
\n vervollstndigt werden." },


  { "Printing - directing TeX output to file\
\nor printer\
\n \
\nIndex of this section:\
\n \
\n 1. General notes\
\n 2. DVIPS\
\n 3. Other printer drivers\
\n \
\n \
\n 1. General Notes\
\n \
\n Each printer driver is invoked in a separate\
\n window. Once a driver window has been opened,\
\n this driver cannot be invoked for a second\
\n time. The printer drivers always use the\
\n primary input filename whith its extension\
\n automatically set to \".dvi\".\
\n \
\n One of the printer drivers is declared as\
\n default printer driver, which may be invoked\
\n directly with \"Ctrl-V\". You may set your\
\n preferred default driver in the customization\
\n menu (refer to utilities), or explicitly in\
\n your .Xdefaults file, using the resource\
\n \"motex.defaultDriver\".\
\n \
\n To pop up the printer driver list you may\
\n click the print field with the left mouse\
\n button, or by typing Alt-P. Inside the list\
\n you may select your desired printer driver\
\n either by clicking the appropriate field,\
\n or by typing P or L (i.e. the underscored\
\n character).\
\n \
\n In the bottom part of the main window para-\
\n meters for the printer driver may be added.\
\n The first one is the name of the printer to\
\n be used. To change it push the printer name\
\n button and select your desired printer from\
\n the popped up list of available printers.\
\n \
\n If you want to use a printer which is not in\
\n the list but known at your node, via a local\
\n or remote queue, you may add it to the list\
\n as a private printer in the \"manage private\
\n printers\" menu.\
\n \
\n \
\n 2. DVIPS\
\n \
\n DVIPS translates a DVI file to PostScript\
\n format and prints it on the printer that is\
\n visible in the printer name field. If the\
\n name \"300dpi-file\" is active, the output is\
\n stored in a file named like the file in the\
\n primary input filename, but with an extension\
\n of \".ps\". You may send this file to any\
\n PostScript printer although the output may\
\n lack typographic quality if the printer\
\n resolution is other than 300dpi.\
\n \
\n DVIPS supports any font that is available\
\n either as a resident font in your printer, or\
\n as a packed bitmap font on your workstation.\
\n If a required font is neither signed as\
\n resident nor available as bitmap, but a\
\n Metafont source exists, then Metafont is\
\n automatically invoked to produce the neces-\
\n sary bitmap font. In this case it will take\
\n a while, otherwise dvips is very fast.\
\n \
\n Further documentation on DVIPS is available\
\n as \"man\" pages and ready for printing in\
\n /usr/local/TeX+MF/tex/dvips/dvips/dvips.dvi.\
\n \
\n 3. The printer drivers DVILJx\
\n \
\n DVILJx is the name we use for the HP Laser-\
\n jet printers that do not support PostScript.\
\n x denotes the different printer types. Prin-\
\n ter drivers DVILJ, DVILJ2, DVILJP und DVILJ2P\
\n are available.\
\n \
\n Currently there is no HP Laserjet printer\
\n in MOTeX's printer list. You may use the\
\n \"private printer\" menu to add your own Laser-\
\n jet printer, though (refer to utilities).\
\n \
\n For further information, look in the \"man\"\
\n pages for dvi2xx.",

  "Drucken - TeX-Ausgaben in eine Datei oder auf\
\n einen Drucker schicken\
\n \
\n Inhalt dieses Abschnitts\
\n \
\n 1. Allgemeines\
\n 2. DVIPS\
\n 3. Die Druckertreiber DVILJx\
\n \
\n 1. Allgemeines\
\n \
\n Der formatierte DVI-File kann mit Hilfe eines\
\n Druckertreibers gedruckt werden. Jeder Druk-\
\n kertreiber luft in einem eigenen aixterm-\
\n Fenster. Einmal gestartet kann der Treiber\
\n kein zweitesmal aufgerufen werden, solange er\
\n aktiv ist. Der Druckertreiber benutzt stets\
\n den Dateinamen des ersten Eingabefeldes und\
\n setzt dessen Erweiterung automatisch auf\
\n \"dvi\".\
\n \
\n Einer der Druckertreiber kann als voreinge-\
\n stellt gekennzeichnet und durch \"CTRL-P\" auf\
\ngerufen werden. Sie knnen den Druckertreiber,\
\n den Sie als Voreinstellung bevorzugen, im\
\n Men Voreinstellungen (siehe Hilfsfunktionen)\
\n einstellen oder explizit in Ihre Datei\
\n .Xdefaults eintragen, und zwar dort unter\
\n \"motex.defaultDriver\".\
\n \
\n Die Liste der Druckertreiber wird angezeigt,\
\n wenn Sie entweder das Feld \"print\" mit dem\
\n linken Mausknopf anklicken oder ALT-P ein-\
\n geben. In der Liste knnen Sie das Feld fr\
\n den Treiber anklicken, den Sie benutzen\
\n wollen, oder Sie whlen ihn durch Eintippen\
\n eines der Buchstaben P oder L aus, also eines\
\n der unterstrichenen Buchstaben.\
\n \
\n Im unteren Teil des Hauptfensters knnen\
\n Parameter fr den Druckertreiber angegeben\
\n werden. Der erste davon ist der Name des\
\n Druckers, der benutzt werde soll. Er kann\
\n gendert werden, wenn man den Knopf fr den\
\n Druckernamen anklickt und aus der dann ge-\
\n zeigten Liste der verfgbaren Drucker den\
\n gewnschten auswhlt.\
\n \
\n Wollen Sie einen Drucker benutzen, der zwar\
\n nicht in der Liste steht, aber in Ihrem Kno-\
\n ten ber eine Warteschlange  bekannt ist\
\n - wobei egal ist, an welchem Rechner der\
\n Drucker angeschlossen ist (\"local\" oder\
\n \"remote\") - so knnen Sie ihn ber das\
\n Men \"private Drucker\" in die Liste einfgen.\
\n \
\n 2. DVIPS\
\n \
\n DVIPS bersetzt einen DVI-File in PostScript-\
\n Format und schickt sie zu dem Drucker, der im\
\n Feld fr den Druckernamen steht. Ist dort\
\n \"300 dpi-file\" eingetragen, so wird die\
\n Ausgabe in einer Datei gespeichert, die den\
\n gleichen Namen hat wie der im Feld fr die\
\n 1. Eingabedatei, jedoch mit der Erweiterung\
\n \"ps\". Diese Datei kann auf jeden beliebigen\
\n PostScript-Drucker geschickt werden. Die\
\n typographische Qualitt der Ausgabe kann\
\n allerdings leiden, wenn dieser Drucker eine\
\n andere Auflsung als 300dpi hat.\
\n \
\n DVIPS untersttzt jede Schriftart, die ent-\
\n weder auf dem Drucker als \"resident font\"\
\n oder auf dem Rechner als \"packed bitmap\
\n font\"  bereitsteht. Ist eine Schriftart\
\n weder in der einen noch in der anderen Form\
\n verfgbar, existiert aber als Metafont-\
\n Quelle, so wird automatisch Metafont auf-\
\n gerufen und der bentigte Bitmap-font damit\
\n erzeugt. Metafont braucht einige Zeit, aber\
\n sonst ist DVIPS sehr schnell.\
\n \
\n Weitere Informationen ber DVIPS sind in den\
\n \"man\"-Seiten zu finden. Der gleiche Text\
\n steht formatiert und zum Ausdrucken bereit in\
\n /usr/local/TeX+MF/tex/dvips/dvips.dvi.\
\n \
\n 3. Die Druckertreiber DVILJx\
\n \
\n Mit DVILJx bezeichnen wir hier die Treiber\
\n fr die Druckerfamilie HP Laserjet ohne Post-\
\n Script Untersttzung. x steht fr die ver-\
\n schiedenen Druckertypen. Es gibt die Treiber\
\n DVILJ, DVILJ2, DVILJP und DVILJ2P.\
\n \
\n MOTeX bietet derzeit keinen HP Laserjet\
\n Drucker an. Sie knnen aber im Men \"private\
\n Drucker\" einen eigenen eintragen (siehe\
\n Hilfsfunktionen).\
\n \
\n Nhere Informationen zu DVILJ finden Sie in\
\n den \"man\"-Seiten unter dvi2xx." },


  { "Utilities\
\n \
\nIndex of this section:\
\n \
\n 1. Browse TeX-Log\
\n 2. BibTeX\
\n 3. XFIG\
\n 4. Convert umlauts\
\n 5. Customization\
\n 6. Manage private printers\
\n \
\n \
\n 1. Browse TeX-Log\
\n \
\n Each time TeX is running a log file for the\
\n run is generated. It includes all messages\
\n which appeared during the TeX run, as well\
\n as some other useful information. Browsing\
\n the TeX-Log is done using your default\
\n editor. A shortcut to browse the TeX-Log\
\n is to press Ctrl-L in the main window.\
\n \
\n \
\n 2. BibTeX\
\n \
\n BibTeX is a tool for managing and including\
\n bibliographies in LaTeX. Refer to the man\
\n pages and printed documentation for details.\
\n \
\n \
\n 3. XFIG\
\n \
\n XFIG is a graphic editor included in the TeX\
\n distribution. You can use it to draw basic\
\n graphic elements like polygons, rectangles,\
\n circles, bezier curves etc. Among other\
\n things you may edit text, and move, copy,\
\n scale, or rotate elements. XFIG supports many\
\n output formats such as LaTeX picture style,\
\n HPGL, encapsulated PostScript, or X11 bitmap.\
\n \
\n \
\n 4. Convert Umlauts\
\n \
\n Although this implementation of TeX does not\
\n support German keyboard encoding, you may\
\n still use the umlauts on a German keyboard.\
\n Is does not matter if you use IBM-PC or ISO\
\n encoding (specified by the LANG environment\
\n variable or the *font or *fontList resource\
\n in your .Xdefaults file), just invoke this\
\n function by clicking the button \"convert\
\n umlauts\" and the umlauts will be converted\
\n to TeX style i.e. \"a for , \"o for , etc.\
\n Don't forget that the original file is\
\n changed.\
\n \
\n \
\n 5. Customization\
\n \
\n In the customization menu you can change\
\n characteristics of the MOTeX system. At\
\n present these are the default editor, macro\
\n package, previewer, and printer driver, those\
\n which can be invoked directly from the main\
\n window by pressing Ctrl-E,F,V,P, and the\
\n language MOTeX uses.\
\n \
\n If you change the defaults and press Apply,\
\n the defaults are changed in storage only.\
\n If you press \"save ...\" instead, they are\
\n applied and immediately entered in your\
\n .Xdefaults file with the appropriate resource\
\n names and values.\
\n \
\n The language is somewhat different: it will\
\n not be used immediately but be the next time\
\n MOTeX is started. The encoding, which is\
\n related to the language, cannot be changed in\
\n the menu but only by setting the xnlLanguage\
\n resource directly (see below).\
\n \
\n When you leave MOTeX pressing \"quit\" or\
\n \"Ctrl-C\", these values will not be saved in\
\n your .Xdefaults file. Other relevant values,\
\n however, such as the input field names,\
\n private printers, etc., are saved in your\
\n .Xdefaults file, so they will be present the\
\n next time you start MOTeX.\
\n \
\n There are some resources which can be set in\
\n your .Xdefaults file, though they currently\
\n cannot be set in the customization menu.\
\n Following is the list of resources defined\
\n by or useful for MOTeX:\
\n \
\n   name                 value (recommended)\
\n \
\n xnlLanguage:       (1) language of MOTeX\
\n fontList:       (2)(3) font used by MOTeX\
\n foreground:        (3) color (black)\
\n background:        (3) color (lightblue)\
\n fsbBackground:         color (pink)\
\n highlightColor:        color (blue)\
\n attentionColor:        color (yellow)\
\n defaultEditor:         editor name  (emacs)\
\n defaultFormatter:      macro package (LaTeX)\
\n defaultPreviewer:      previewer (xdvi)\
\n defaultDriver:         driver name (dvips)\
\n defaultPrinter:        printer name\
\n primaryInputFileName:  input filename\
\n alternateInputFileName:input filename\
\n privatePrinterList:    name list (see below)\
\n xtermCommand:      (4) command name to open\
\n                        a new window\
\n \
\n (1) English and German are supported, speci-\
\n     fied in the form \"language_territory\".\
\n     language may be \"en\" or \"En\" for English\
\n     and \"de\" or \"De\" for German. territory\
\n     may be \"US\" or \"DE\". \"en_US\" and \"de_DE\"\
\n     are the ISO encoded forms, \"En_US\" and\
\n     \"De_DE\" the PC encoded forms. Refer to\
\n     the info explorer for more information.\
\n \
\n     Encoding is not important for MOTeX,\
\n     but xnlLanguage and fontList (or font)\
\n     should match. Otherwise some strange\
\n     effects might occur.\
\n \
\n     The language may also be specified as\
\n     command option \"-xnlLanguage lg\" with\
\n     the MOTeX command.\
\n \
\n     If xnlLanguage is neither specified as\
\n     resource nor as command option, the LANG\
\n     environment variable is used. Note that\
\n     the default LANG value is PC encoding on\
\n     an AIX server, while it is ISO encoding\
\n     on other servers.\
\n \
\n (2) You will need to specify this resource\
\n     if you are running MOTeX from a non AIX\
\n     server. Select an appropriate font\
\n     available on your server. If you use\
\n     Emacs, you will need to specify the\
\n     \"emacs*font\" resource too.\
\n \
\n     Fonts on non AIX servers are usually ISO\
\n     encoded.\
\n \
\n (3) These resources must be specified with\
\n     loose binding to work properly, while all\
\n     other resources should be specified with\
\n     tight binding.\
\n \
\n     Remember that seperation by the asterisk\
\n     (*) is called loose binding, whereas\
\n     seperation by the period (.) is called\
\n     tight binding.\
\n \
\n (4) Most window managers can deal with the\
\n     \"aixterm\" command which is the default\
\n     on AIX machines. If on your machine the\
\n     \"aixterm\" command happens not to work\
\n     properly you may use this resource to\
\n     select the \"xterm\" command instead, or\
\n     any other equivalent terminal emulator.\
\n \
\n \
\n 6. Manage Private Printers\
\n \
\n If you want to use a printer which is known\
\n at your node, via local or remote queue,\
\n you may define it as your private printer in\
\n this menu. DVIPS needs a configuration file\
\n for each printer which will be written from\
\n the selected options, unless you specify to\
\n add only the printer's name.\
\n \
\n The minimal requirements for a configuration\
\n file are a freely chosen unique name and an\
\n existing printer queue. In case of the HP\
\n Laserjet you must specify which driver will\
\n be needed for your printer. In case of DVIPS\
\n the printer's resolution should be known, so\
\n the menu asks for it too. Other options may\
\n be entered as needed, one per line; usually\
\n there will be none necessary.\
\n \
\n With DVIPS you may choose to add only a\
\n printer name to the printer list. In this\
\n case it is your responsibility to supply\
\n an adequate configuration file. Refer to\
\n the DVIPS documentation (see DVIPS) for\
\n how to write configuration files. You are\
\n not allowed to do so with DVILJx, since\
\n there is no such documentation available\
\n for DVILJx.\
\n \
\n Configuration files are written to your\
\n directory dvips.config or dvips.lj, if it\
\n exists, otherwise to your home directory.\
\n \
\n To define a private printer push the Add\
\n button. Once a private printer has been\
\n added it may be selected like any other\
\n printer in the main window.\
\n \
\n Any of your private printers may be deleted\
\n from the printer list by entering its name\
\n and pushing the Delete button. To delete the\
\n currently active printer (i.e. the \"printer\
\n name\" in the main window), select another\
\n printer first as the active printer. Only the\
\n name is deleted from the printer list, not\
\n the corresponding configuration file.",

  "Hilfsfunktionen (utilities)\
\n \
\n Inhalt dieses Abschnitts\
\n \
\n 1. TeX-Log durchsehen\
\n 2. BibTeX\
\n 3. XFIG\
\n 4. Umlautkonvertierung in TeXformat\
\n 5. Voreinstellungen fr MOTeX\
\n 6. Private Drucker\
\n \
\n \
\n 1. TeX-Log durchsehen\
\n \
\n Immer wenn TeX luft, wird eine Protokoll-\
\n datei (Log-Datei) fr diesen Lauf erzeugt.\
\n Sie enthlt alle Meldungen, die whrend des\
\n TeXlaufs erscheinen sowie andere ntzliche\
\n Informationen. Zum Durchsehen des TeX-Logs\
\n wird der voreingestellte Editor verwendet.\
\n Das TeX-Log kann auch direkt mit CTRL-L im\
\n Hauptfenster aufgerufen werden.\
\n \
\n 2. BibTeX\
\n \
\n BibTeX ist ein Werkzeug, mit dem Literatur-\
\n verzeichnisse in LaTeX verwaltet und einge-\
\n fgt werden knnen. Nheres steht in den\
\n \"man\"-Seiten und in den gedruckten Unter-\
\n lagen.\
\n \
\n \
\n 3. XFIG\
\n \
\n XFIG ist ein grafischer Editor, der in der\
\n AIX-Auslieferung des TeX-Systems enthalten\
\n ist. Damit knnen grafische Grundelemente wie\
\n Polygonzge, Rechtecke, Kreise, Bezierkurven\
\n usw. gezeichnet werden. Unter anderem knnen\
\n Texte geschrieben sowie Elemente verschoben,\
\n kopiert, skaliert oder gedreht werden. XFIG\
\n untersttzt viele Ausgabeformate wie z. B.\
\n LaTeX picture style, HPGL, encapsulated Post-\
\n Script oder X11-bitmap.\
\n \
\n \
\n 4. Umlautkonvertierung in TeXformat\
\n \
\n Zwar untersttzt die Implementierung von TeX\
\n unter MOTeX deutsche Tastaturen nicht direkt,\
\n doch knnen Sie trotzdem die Umlaute auf\
\n einer deutschen Tastatur benutzen. Dabei\
\n spielt es keine Rolle, ob fr den IBM-PC oder\
\n nach ISO codiert wird (spezifiziert ber die\
\n Umgebungsvariable \"LANG\" oder die Angaben\
\n \"*font\" oder \"*fontList\" in der Datei\
\n .Xdefaults). Rufen Sie diese Funktion einfach\
\n durch Anklicken des Knopfes \"Umlautkonver-\
\n tierung\" auf, und alle Umlaute werden in die\
\n Form umgewandelt, die TeX verlangt, also \"a\
\n fr , \"o fr  usw.\
\n \
\n Beachten Sie bitte, da dabei die Quelldatei\
\n verndert wird.\
\n \
\n 5. Voreinstellungen fr MOTeX\
\n \
\n Im Men Voreinstellungen knnen Eigenschaften\
\n des Systems MOTeX gendert werden. Z. Zt.\
\n sind dies die Voreinstellungen fr den Edi-\
\n tor, das Makropaket, den Bildschrimtreiber\
\n und den Druckertreiber, also die, die direkt\
\n vom Hauptfenster aus ber die Tasten CTRL-E,\
\n F, V, P aufgerufen werden knnen, sowie die\
\n Sprache, die MOTeX benutzt.\
\n \
\n Wenn Sie die Voreinstellungen ndern und \
\n \"Apply\" drcken, wird nur im Speicher gen-\
\n dert. Drcken Sie stattdessen \"in .Xdefaults\
\n sichern\", so werden die neuen Voreinstellun-\
\n gen benutzt und gleichzeitig als \"Ressourcen\"\
\n in Ihre Datei .Xdefaults mit den richtigen\
\n Namen und Werten eingetragen.\
\n \
\n Mit der Sprache ist es etwas anders: Sie wird\
\n erst benutzt, wenn MOTeX das nchste Mal\
\n aufgerufen wird. Die Kodierung, die mit der\
\n Sprache zusammenhngt, kann im Men nicht\
\n verndert werden, sondern nur mit der Res-\
\n source xnlLanguage (siehe unten).\
\n \
\n Wenn Sie MOTeX mit \"Ende\" oder \"CTRL-C\"\
\n verlassen, werden diese Einstellungen nicht\
\n mehr in Ihre Datei .Xdefaults gesichert, wohl\
\n aber die brigen eingestellten Werte wie die\
\n Dateinamen, Liste privater Drucker usw.\
\n \
\n Eine Reihe weiterer Ressourcen knnen in der\
\n Datei .Xdefaults eingestellt werden, obwohl\
\n sie z.Zt. noch nicht im Men Voreinstellungen\
\n stehen. In der folgenden Liste sind einige\
\n solcher von MOTeX definierten oder fr MOTeX\
\n ntzlichen Ressourcen aufgefhrt:\
\n \
\n   Name                 Wert (empfohlen)\
\n \
\n xnlLanguage:       (1) Sprache von MOTeX\
\n fontList:       (2)(3) Schrift von MOTeX\
\n foreground:        (3) Farbe (black)\
\n background:        (3) Farbe (lightblue)\
\n fsbBackground:         Farbe (pink)\
\n highlightColor:        Farbe (blue)\
\n attentionColor:        Farbe (yellow)\
\n defaultEditor:         Name Editor (emacs)\
\n defaultFormatter:      Makro Paket (LaTeX)\
\n defaultPreviewer:      Bildschirmtreiber\
\n                                       (xdvi)\
\n defaultDriver:         Druckertreiber (dvips)\
\n defaultPrinter:        Druckername\
\n primaryInputFileName:  Name der Eingabedatei\
\n alternateInputFileName:Name der Eingabedatei\
\n privatePrinterList:    name list (see below)\
\n xtermCommand:      (3) Kommandoname, mit dem\
\n                        ein neues Fenster ge-\
\n                        ffnet werden kann\
\n \
\n (1) Angeboten werden Englisch und Deutsch.\
\n     Sie mssen in der Form \"Sprache_Gebiet\"\
\n     angegeben werden. Sprache kann \"en\" oder\
\n     \"En\" fr Englisch und \"de\" oder \"De\"fr\
\n     Deutsch sein, Gebiet \"US\" oder \"DE\".\
\n     Bei Kodierung in ISO sind die Formen\
\n     \"en_US\" und \"de_DE\" zu verwenden, bei\
\n     Kodierung wie auf PC die Formen \"En_US\"\
\n     und \"De_DE\". Nhere Informationen finden\
\n     Sie im Info Explorer.\
\n \
\n     Die Kodierung ist fr MOTeX unwichtig,\
\n     allerdings sollten xnlLanguage und font\
\n     (oder fontList) zusammenpassen. Sonst\
\n     knnen seltsame Effekte auftreten.\
\n \
\n     Die Sprache kann auch als Option\
\n     \"-xnlLanguage lg\" beim MOTeX\
\n     Kommando angegeben werden.\
\n \
\n     Wenn xnlLanguage weder im .Xdefaults noch\
\n     als Kommandooption angegeben wurde, wird\
\n     die LANG Umgebungsvariable bentzt. Be-\
\n     achten Sie bitte, da die Voreinstellung\
\n     von LANG auf AIX Rechnern nach PC kodiert\
\n     ist, wohingegen andere Hersteller nach\
\n     ISO kodieren.\
\n \
\n (2) Diese Ressource brauchen Sie, wenn Sie\
\n     MOTeX von einem nicht-AIX Rechner aus\
\n     benutzen. Whlen Sie eine Schrift aus,\
\n     die auf Ihrem Rechner vorhanden. Wenn Sie\
\n     Emacs benutzen, mssen Sie auch die Res-\
\n     source \"emacs*font\" angeben, sinnvoller-\
\n     weise mit der gleichen Schrift.\
\n \
\n     Im Gegensatz zu AIX Rechnern sind Schrif-\
\n     ten auf anderen Rechner blicherweise\
\n     nach ISO kodiert.\
\n \
\n (3) Damit diese Ressourcen richtig ausge-\
\n     wertet werden, mssen sie mit lockerer\
\n     Bindung eingegeben werden, whrend alle\
\n     anderen Ressourcen mit fester Bindung\
\n     angegeben werden sollten.\
\n \
\n     Beachten Sie: Trennung durch den Stern\
\n     (*) heit lockere Bindung, wohingegen\
\n     Trennung durch den Punkt (.) feste\
\n     Bindung heit.\
\n \
\n (4) Die meisten \"Window Manager\" vertragen\
\n     sich mit dem \"aixterm\" Kommando, das auf\
\n     AIX Maschinen als Voreinstellung benutzt\
\n     wird. Wenn das \"aixterm\" Kommando auf\
\n     Ihrer Maschine nicht vernnftig funktio-\
\n     nieren sollte, knnen Sie statt dessen\
\n     mit dieser Ressource das \"xterm\" Kommando\
\n     oder einen anderen Terminalemulator mit\
\n     gleicher Funktion benutzen.\
\n \
\n \
\n 6. Private Drucker\
\n \
\n In diesem Men knnen Sie einen Drucker als\
\n Ihren privaten Drucker definieren, wenn er in\
\n Ihrem Knoten ber eine Warteschlange  bekannt\
\n ist - wobei egal ist, an welchem Rechner der\
\n Drucker angeschlossen ist (\"local\" oder\
\n \"remote\"). Sowohl DVIPS wie auch DVILJx\
\n bentigen eine Konfigurationsdatei fr jeden\
\n Drucker. Sie wird aus den Optionen erzeugt,\
\n die Sie angeben, es sei denn, Sie wollen\
\n lediglich den zustzlichen Druckernamen in\
\n die Liste einfgen.\
\n \
\n Mindestanforderungen fr eine Konfigurations-\
\n datei sind der frei whlbare eindeutige Name\
\n und eine vorhandene Warteschlange fr den\
\n Drucker. Beim HP Laserjet mu auerdem an-\
\n gegeben werden, welcher der verschiedenen\
\n Treiber fr den neuen Drucker gebraucht wird.\
\n Bei DVIPS sollte die Auflsung des Druckers\
\n angegeben werden, deshalb wird im Men danach\
\n gefragt. Andere Optionen knnen, falls ntig,\
\n eine pro Zeile, angegeben werden. In der\
\n Regel werden keine weiteren bentigt.\
\n \
\n Im Falle des DVIPS knnen Sie auch lediglich\
\n den Namen eines Druckers in die Druckerliste\
\n einfgen; dann mssen Sie selbst fr eine\
\n passende Konfigurationsdatei sorgen. In der\
\n Dokumentation zu DVIPS (s.o. unter DVIPS)\
\n finden Sie dazu die ntigen Angaben. Da es\
\n keine entsprechende Dokumentation zu DVILJx \
\ngibt, haben Sie diese Wahl dort nicht.\
\n \
\n Konfigurationsdateien werden in Ihr Verzeich-\
\n nis dvips.config bzw. dvilj.config geschrie-\
\n ben, falls es existiert, andernfall in Ihr\
\n Heimatverzeichnis.\
\n \
\n Der private Drucker wird definiert, wenn Sie\
\n den \"Add\"-Knopf drcken. Danach kann dieser\
\n Drucker wie jeder andere im Hauptfenster an-\
\n gesprochen werden.\
\n \
\n Sie knnen jeden Ihrer privaten Drucker aus\
\n der Liste wieder entfernen. Dazu brauchen Sie\
\n nur seinen Namen einzugeben und den \"delete\"-\
\n Knopf zu drcken. Wollen Sie den gegenwrtig\
\n aktiven Drucker in der Liste lschen (das ist\
\n der, der als \"Druckername\" im Hauptfenster\
\n erscheint), so mssen Sie zuvor einen anderen\
\n Drucker als aktiven Drucker whlen. In beiden\
\n Fllen wird nur der Name aus der Druckerliste\
\n entfernt. Die zugehrige Konfigurationsdatei\
\n bleibt erhalten." }
};



