#ifndef _TEX_SHELL
#define _TEX_SHELL

#ifndef X_DEFAULTS
#define X_DEFAULTS       ".Xdefaults"
#endif

#define X_DEF_PATH       concat(home,"/",X_DEFAULTS,NULL)

#ifndef CONV_TABLE
#define CONV_TABLE       "/usr/local/TeX+MF/dlr/iso1+pcToTeX"
#endif

#define NORMAL_TIME      5000L
#define MIN_TIME         1500L

#ifndef XTERM_CMD
#define	XTERM_CMD        "aixterm"
#endif

#ifndef MOTEX_ICON
#define	MOTEX_ICON       "/home/rz/rz13/texlogo"
#endif
 
#define WFNW              WcFullNameToWidget
#define BUFLEN            1024		/* Max Lnge fr diverse buffer */

#define ISO1   "iso1"   /* Help Texte und Messages sind in ISO geschrieben */

typedef struct {
  String lg;            /* Sprache von TeXShell in der Form en_US ... */
  String xterm;         /* Kommandoname fr Dialoganwendungen,
			 * mu -e Option verstehen; default aixterm */
  Pixel  bg;
  Pixel  fg;
  Pixel  hi_col;
  Pixel  fsb_bg;
  String df_edit;       /* enthalten die Namen der Editoren, usw.;   */
  String df_form;       /* werden ersetzt durch die Namen der        */
  String df_view;       /* zugehrigen Widgets im customization Men */
  String df_drive;
  String df_printer;    /* default printer */
  String add_printer;   /* private printer list */
  String df_infile1;    /* primary input file */
  String df_infile2;    /* alternate input file */
} AppData;

typedef struct { char * optionWidgetName;
		 Widget optionWidget;
		 char * custWidgetName; }  _list;

typedef struct { Widget w;                   /* widget id of button */
		 char *type;                 /* which kind of menu */
		 char *in;                   /* widget name of button */
		 char *out;                  /* command name */
		 Boolean xterm;              /* to be invoked via xterm? */
		 int pid; }      _cmd;       /* process id of child */

typedef struct _printer
        { char     *name;                     /* Druckername */
	  char     *driver;                   /* Drivername */
	  char     *parms;                    /* Parameter fr LJ */
	  char     *pipe;                     /* fr -e - bei LJ,
					       * mu hinten dran */
	  struct _printer *next; } Printer;   /* Pointer auf den nchsten */

#endif
