#include "COPY"

/*
 * 1. resource values in einem resource file berschreiben
 * Parameter: filename, application Name, Liste der resource Namen und Werte,
 *            Anzahl der Werte
 *
 * 2. config files fr PS und HP Lj schreiben
 * Parameter: printername, (res,) queue und weitere Optionen
 */

#include <stdio.h>
#include <sys/stat.h>
#define  Boolean int
#define  True    1
#define  False   0

extern char *concat( char *,... );
extern char *home;

Boolean *done, delete;
int nr_found = 0;

/*----------------------------------------------------------------------------*
 * resource record prfen und eventuell berschreiben; genau das, was die Form
 * "app.res: ..." oder "app*res: ..." hat, ist gltig. Der Wert der ersten
 * gefundenen wird berschrieben, weitere werden ohne Ansehen gelscht.
 *---------------------------------------------------------------------------*/

char *substitute(char *in, char *app, char *res[], char *val[], int count)
{
  int i, len = strlen(in);
  char *work,
       *out = in;
  Boolean found,
          cont = False;

  while (out[0] == ' ' || out[0] == '\t') out++;      /* Blanks und Tabs weg */

  if (strncmp(out, app, strlen(app))) return in;         /* gehrt uns nicht */

  work = out + strlen(app);
  if (work[0] != '.' && work[0] != '*') return in; /* da fngt scheint's einer
						    * genauso an wie wir ... */
  work++;                             /* da mu unser resource Name anfangen */
  for (found=i=0; i<count && !found; i++)
    if (found = !strncmp(work,res[i],strlen(res[i])))      /* wir haben eine */
      {
	work += strlen(res[i]);                  /* auf's Ende positionieren */
	while (work[0]==' ' || work[0]=='\t')         /* Blanks und Tabs weg */
	  work++;
	if (work[0] != ':') return in;      /* wahrscheinlich ein Tippfehler */
	if (done[i]) return NULL;          /* war schon mal, wird gestrichen */
	delete = in[strlen(in)-2] == '\\';      /* Fortsetzungszeilen mssen
						 *  gelscht werden, merken  */
	                                    /* alles ok, jetz schreiben wir  */
	work[1] = '\t';                     /* wir machen einen Tab hinter : */
	strcat(strcpy(work+2,val[i]),"\n");        /* Wert und \n dranhngen */
	done[i] = True;                         /* merken, da der schon war */
	nr_found++;                                             /* mitzhlen */
	break;                                           /* gefunden, fertig */
      }

  return out;
}

/*---------------------------------------------------------------------------*
 * Resourcen in einem resource file berschreiben; solche, die uns nicht
 * gehren, werden ungendert zurckgeschrieben (auch, wenn der application
 * Name bereinstimmt). Stze, die lnger als BUFSIZ sind, kontrollieren wir
 * nicht, wer sowas fr die TeX Shell schreibt (erzwingt), will uns nur rgern.
 *---------------------------------------------------------------------------*/

Boolean writeToFile( char *fn, char *app, char *res[], char *val[], int count )
{
  int     i, len;
  FILE   *infile, *outfile;
  char    in[BUFSIZ],
         *tmp = concat(fn, "~", NULL);
  Boolean cont = False,
          wastoolong = False;

  if (access(fn,02)) return False; /* write access mu extra geprft werden, 
				    * weil remove/rename auch bei read geht
				    */

  /* .Xdefaults zum Lesen und Hilfsfile zum Schreiben ffnen
   */
  if (!(infile = fopen(fn,"r")) || !(outfile = fopen(tmp,"w"))) return False;

  /* Initialisierung, nach Fehler-return wg. free
   */
  done = XtMalloc(count * sizeof(Boolean));
  for (i=0;i<count;i++) done[i] = False;                /* noch nix erledigt */
  delete = False;                                     /* noch nix zu lschen */

  while (!feof(infile) && fgets(in,BUFSIZ,infile))           /* Leseschleife */
    {
      if (delete)           /* dann mssen wir alle Fortsezungzeilen lschen */
	{ delete = in[strlen(in)-2] == '\\';     /* die nchste Zeile prfen */
	  continue; }                                   /* nix tun = lschen */

      /* wenn der letzte oder dieser Satz zu lang war, schreiben wir ihn so
       * wieder raus; in braucht dabei nicht mit \0 abgeschlossen zu werden,
       * weil der volle Buffer geschrieben werden soll; unsere Applikation
       * hat bestimmt nicht SO lange Stze. 
       */
      if (wastoolong || (wastoolong = in[strlen(in)-1] != '\n'))
	{ fputs(in,outfile); continue; }

      if (in[0] == '#' || in[0] == '!')    /* comments ignorieren, damit wir */
	{ fputs(in,outfile); continue; }   /* substitute nicht umsonst rufen */

      /* wir selber schreiben keine Fortsetzungszeilen, daher knnen wir solche
       * ungendert wieder rausschreiben; deshalb mu cont nach substitute;
       * bei fremder resource kommt "in" zurck, sonst Ersatzzeile
       */ 
      if (cont) fputs(in, outfile);
      else fputs(substitute(in, app, res, val, count), outfile);

      /* wenn wir alle gefunden haben, knnten wir den Rest so raus schreiben,
       * tun wir aber nicht, weil wir doppelte lschen wollen
       */
      cont = in[strlen(in)-2] == '\\';        /* True bei Fortsetzungszeilen */
    }

  /* rausschreiben, was in der Datei nicht vorkam;
   * ans Ende, weil's anders zuviel Aufwand wre
   */
  if (nr_found != count)                /* dann gibt's noch was zu erledigen */
    { fputs("\n",outfile);                                 /* eine Leerzeile */
      for (i=0;i<count;i++)
	if (!done[i])                           /* die sind nicht da gewesen */
	  {
	    if (val[i] == NULL)                /* weil concat da beendet ist */
	      fputs(concat(app,".",res[i],":\n",NULL),outfile);
	    else fputs(concat(app,".",res[i],":\t",val[i],"\n",NULL),outfile);
	  }
    }

  /* files schlieen und Hilfsfile auf .Xdefaults umkopieren
   */
  fclose(infile);
  fclose(outfile);

  if (remove(fn) || rename(tmp,fn))
   fprintf(stderr,"unknown error replacing file,\nsaved data is stored in %s.\n",tmp);

  XtFree(done);
  return True;
}

/*---------------------------------------------*
 * Config file fr dvips oder dvilj schreiben;
 * gibt bei Erfolg True zurck, sonst False.
 *---------------------------------------------*/

Boolean writeConfigFile( char *name, char *q, char *r, char *opts, char *dr )
{
  char *fn,
       *comment = concat("* dvi", dr, "\n", NULL), 
       *dr_class = strncat("dvi", dr, 2),
       *configDir = concat(home,"/",dr_class,".config",NULL);

  FILE *file;
  struct stat file_status[1];  

  if (!stat(configDir,file_status)                         /* configDir ist */
      && (file_status->st_mode & S_IFMT) == S_IFDIR)       /* Directory,    */
    fn = concat(configDir,"/config.",name,NULL);           /* also da rein  */
  else fn = concat(home,"/config.",name,NULL);             /* default Platz */
  XtFree(configDir);

  file = fopen(fn,"w");
  XtFree(fn);
  if (!file) return False;

  if (dr[0] == 'p')                                        /* dvips */
    {
      char *res = concat("D ",r,"\n",NULL),
           *queue = concat("o ! qprt -P ",q,"\n",NULL);
      fputs(comment,file);
      fputs(queue,file);
      fputs(res,file);
      fputs(opts,file);
      fputs("\n",file);      /* sicherheitshalber */
      XtFree(res);
      XtFree(queue);
    }
  else if (dr[0] == 'l')                                   /* dvilj/2/p */
    {
      char *options = concat(opts,"\n",NULL);
      if (q == NULL)
	comment = concat(comment, "\n* output to file\n", NULL);
      else
	options = concat(options, " -e- | qprt -P",q,NULL);
      fputs(comment,file);
      fputs(options,file);
      fputs("\n",file);      /* sicherheitshalber */
      XtFree(options);
    }
  fclose(file);
  XtFree(comment);
  return True;
}
